-- SQL Changes: BrewBlogger 2.3
-- Created January 25, 2009
-- Updated June 16, 2009
--
-- *****************************NEW TABLES********************************
--
-- Add Yeast Profiles table:
--

-- --------------------------------------------------------

--
-- Table structure for table `yeast_profiles`
--

CREATE TABLE IF NOT EXISTS `yeast_profiles` (
  `id` int(5) NOT NULL auto_increment,
  `yeastName` varchar(255) default NULL,
  `yeastFloc` varchar(255) default NULL,
  `yeastAtten` varchar(255) default NULL,
  `yeastTolerance` varchar(255) default NULL,
  `yeastType` varchar(255) default NULL,
  `yeastForm` varchar(255) default NULL,
  `yeastAmount` varchar(255) default NULL,
  `yeastLab` varchar(255) default NULL,
  `yeastProdID` varchar(255) default NULL,
  `yeastMinTemp` varchar(255) default NULL,
  `yeastMaxTemp` varchar(255) default NULL,
  `yeastNotes` varchar(255) default NULL,
  `yeastBestFor` varchar(255) default NULL,
  `yeastMaxReuse` varchar(255) default NULL,
  `yeastBrewerID` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;

--
-- Dumping data for table `yeast_profiles`
--

INSERT INTO `yeast_profiles` (`id`, `yeastName`, `yeastFloc`, `yeastAtten`, `yeastTolerance`, `yeastType`, `yeastForm`, `yeastAmount`, `yeastLab`, `yeastProdID`, `yeastMinTemp`, `yeastMaxTemp`, `yeastNotes`, `yeastBestFor`, `yeastMaxReuse`, `yeastBrewerID`) VALUES
(1, 'American Megabrewery', 'Medium', '73', 'Medium', 'Lager', 'Liquid', '10', 'Brewtek', 'CL-0620', '48', '58', '<p>Smooth yeast with a slight fruity flavor.  Lagers into a smooth, clean tasting beer.  Use for light, clean lager styles with unobtrusive yeast character.</p>', 'Light, Clean American style lagers.', '5', 'brewblogger'),
(2, 'American Microbrewery Ale #1', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0010', '56', '72', '<p>Smooth, clean, strong fermenting ale yeast that works well at cold temperature.  Clean malt flavor is ideal for cream ales.</p>', 'American Ales, Cream Ales', '5', 'brewblogger'),
(3, 'American Microbrewery Ale #2', 'Medium', '75', 'High', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0020', '56', '72', '<p>Produces distinct diacytl.  Use for low gravity beers where malt character is needed or stronger beers for a robust character.</p>', 'American ales', '5', 'brewblogger'),
(4, 'American Microbrewery Lager', 'Medium', '73', 'Medium', 'Lager', 'Liquid', '10', 'Brewtek', 'CL-0630', '48', '58', '<p>Clean, full flavored, malty finish. For most lager styles.</p>', 'All lager styles', '5', 'brewblogger'),
(5, 'American White Ale', 'Low', '73', 'Medium', 'Wheat', 'Liquid', '10', 'Brewtek', 'CL-0980', '55', '68', '<p>Smooth wheat yeast with a round, clean, malt flavor.  Low flocculation leaves cloudy Hefe-Weizen finish.  Smooth flavor makes a great unfiltered wheat beer.</p>', 'Hefe-Weizen, American Wheat', '5', 'brewblogger'),
(6, 'Belgian Ale #1', 'Medium', '75', 'High', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0300', '62', '72', '<p>Produces Belgian ale flavor - estery with clove notes.</p>', 'Belgian Ales, High gravity ales.', '5', 'brewblogger'),
(7, 'Belgian Ale #2', 'Low', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0320', '62', '72', '<p>Attenuates well and produces malty profile.  Slow to flocculate.</p>', 'Flanders style Belgian Ales, Belgian Brown, Fruit beers', '5', 'brewblogger'),
(8, 'Belgian Ale #3', 'Medium', '75', 'High', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0340', '62', '72', 'Slightly more refined than CL-300.  Produces the classic Trappist ale character with esters of spice and fruit. Mildly phenolic.  Strong fermenting yeast.', 'Belgian ales, Trappist Ales', '5', 'brewblogger'),
(9, 'Belgian Wheat', 'Medium', '73', 'Medium', 'Wheat', 'Liquid', '10', 'Brewtek', 'CL-0900', '55', '68', 'Top fermenting yeast with a soft bread-like character.  Leaves a sweet, mildly estery finish.  Delicious Belgian character to any beer.  Great in Wit style with coriander and bitter orange peel.', 'Belgian Pils, Belgian Wit', '5', 'brewblogger'),
(10, 'Brettanomyces Lambicus', 'Medium', '73', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-5200', '48', '68', 'Wild yeast strain. Contributes horsey, old leather flavor.  Slow growing yeast that takes weeks to ferment and months to develop fully.', 'Belgian Lambic beers', '5', 'brewblogger'),
(11, 'British Draft Ale', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0160', '62', '72', 'Slight diactyl.  Emphasizes malt character for full bodied beers.', 'Porters and Bitters.', '5', 'brewblogger'),
(12, 'British Microbrewery Ale', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0110', '62', '72', 'Oakey/fruity ester profile. Leaves some residual malt flavor.', 'English Bitters and Milds', '5', 'brewblogger'),
(13, 'British Pale Ale #1', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0120', '62', '72', 'Citrusy aspects accentuate mineral and hops.', 'British Pale Ales and Bitters.', '5', 'brewblogger'),
(14, 'British Pale Ale #2', 'Medium', '75', 'High', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0130', '62', '72', 'Full bodied ale yeast with mild esters. Accentuates caramel and malt flavors.', 'British Pale Ale, other British Ales', '5', 'brewblogger'),
(15, 'British Real Ale', 'Medium', '70', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0150', '62', '72', 'Woody flavor and musty ester profile of real ale.  Leaves mild residual sweetness in the finish.', 'Bitters and other English Ales', '5', 'brewblogger'),
(16, 'California Esteem', 'Medium', '73', 'Meidum', 'Lager', 'Liquid', '10', 'Brewtek', 'CL-0690', '48', '65', 'Use for California Common Beers.  Slight esters. Well attenuated.', 'California Common Beer, American or Robust porters', '5', 'brewblogger'),
(17, 'Canadian Ale', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0260', '62', '72', 'Clean, well attenuated yeast. Fruity and complex finish.', 'Light Canadian Ales, Bitish Bitter, Pale Ale, Porters', '5', 'brewblogger'),
(18, 'Classic British Ale', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0170', '62', '72', 'Complex ale with British tones and fruit like esters.  Works well in high gravity ales such as scottish heavy as well.', 'Bitters, Porters, Scottish Heavy Ales.', '5', 'brewblogger'),
(19, 'East European Lager', 'Medium', '73', 'Medium', 'Lager', 'Liquid', '10', 'Brewtek', 'CL-0680', '48', '58', 'Smooth, rich, creamy character.  Emphasizes big malt flavor and clean finish.  Full but smooth malt character.', 'Marzens, Oktoberfest', '5', 'brewblogger'),
(20, 'German Weiss', 'Medium', '73', 'Medium', 'Wheat', 'Liquid', '10', 'Brewtek', 'CL-0930', '55', '68', 'Milder than German Wheat #1, this strain still produces the desired clove and phenol character, but to a lesser degree.  Full, earthy character.', 'Weiss, Weizen, other Southern German Wheat styles', '5', 'brewblogger'),
(21, 'German Wheat', 'Medium', '75', 'Medium', 'Wheat', 'Liquid', '10', 'Brewtek', 'CL-0920', '55', '68', 'Top fermenting Weizenbier yeast.  Intensely spicy, clovey and phenolic.  High attenuation.', 'Weizen, Weizenbocks', '5', 'brewblogger'),
(22, 'Irish Dry Stout', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0240', '62', '72', 'Top fermenting yeast which leaves a recognizable slightly woody character to Dry Stouts.  Vinous almost lactic character that blends well with roast malts.  High attenuation.', 'Dry Stouts', '5', 'brewblogger'),
(23, 'Kolsch', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0400', '62', '72', 'Produces mild sulfer flavor which smooths with time to a clean attenuated flavor.  Mineral and malt characters come through well.  Clean, lightly yeasty flavor and aroma in the finish.', 'German Kolsch', '5', 'brewblogger'),
(24, 'Northern German Lager', 'Medium', '73', 'Medium', 'Lager', 'Liquid', '10', 'Brewtek', 'CL-0660', '48', '58', 'Clean, crisp, traditional lager character.  Strong fermenting and forgiving yeast.  Excellent general purpose lager yeast.', 'German pilsners, Mexican and Canadian Lagers', '5', 'brewblogger'),
(25, 'Noth-Eastern Micro Ale', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0060', '56', '72', 'Malty, bready, yet clean malt character.  Leaves hops flavor and aroma intact.  Versitile yeast for many American styles.', 'American Ales, Reds, Ambers', '5', 'brewblogger'),
(26, 'Old Bavarian Lager', 'Medium', '73', 'Medium', 'Lager', 'Liquid', '10', 'Brewtek', 'CL-0650', '48', '58', 'Well rounded, malty with a subtle ester complex and citrus flavors.  Distinct, flavorful yeast is great for Southern German lager styles.', 'German lagers, Bock, Dunkel, Helles', '5', 'brewblogger'),
(27, 'Old German Ale', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0400', '62', '72', 'Traditional Alt Bier flavor.  Strong fermenter with a smooth, attenuated, mild flavor.  Slightly dry, clean, quenching finish.', 'Altbier, German ales, some Wheat beers.', '5', 'brewblogger'),
(28, 'Original Pilsner', 'Medium', '73', 'Medium', 'Lager', 'Liquid', '10', 'Brewtek', 'CL-0600', '48', '58', 'Full bodied lager yeast with sweet, underattenuated finish.  Subdued diacetyl character.  Big malty palatte.  Classic Pilsner finish and style.', 'Classic Czech Pilsners', '5', 'brewblogger'),
(29, 'Pediococcus Damnosus', 'Medium', '73', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-5600', '48', '68', 'Slow growing bacteria used in secondary to create lactic acid flavor in Belgian lambics.  Produces large amounts of lactic acid and diacytl.  Prefers anaerobic conditions.', 'Belgian Lambic beers', '5', 'brewblogger'),
(30, 'Saison', 'Medium', '75', 'Medium', 'Ale', 'Liquid', '10', 'Brewtek', 'CL-0380', '62', '72', 'Pleasant yeast blend.  Leaves a smooth full character to the malt with mild, but pleasant esters and some apple pie spices.', 'French or Belgian Ales and Grand Cru styles.', '5', 'brewblogger'),
(31, 'Cooper Ale', 'Medium', '75', NULL, 'Ale', 'Dry', '15', 'Coopers', NULL, '62', '72', 'General purpose dry ale yeast with a very good reputation.  Produces significant fruity flavors.  No phenolics.  Clean, fruity finish.', 'Most ales.', '5', 'brewblogger'),
(32, 'Safale English Ale', 'Medium', '73', 'Medium', 'Ale', 'Dry', '11.5', 'Fermentis', 'S-04', '64', '70', 'A well known English ale strain noted for its fast fermentation and rapid settling. Used in the production of a wide range of ales including English ale styles.', 'Great general purpose ale yeast.', '5', 'brewblogger'),
(33, 'Safale German Ale', 'Medium', '73', 'Medium', 'Ale', 'Dry', '11.5', 'Fermentis', 'K-97', '65', '70', 'Low sedimentation yeast, sometimes used in open fermentation. Good for wheat beers, weizens and light ales.', 'High attenuation ales, wheat beers and weizens.', '5', 'brewblogger'),
(34, 'Safbrew Ale', 'Medium', '73', 'Medium', 'Ale', 'Dry', '11.5', 'Fermentis', 'S-33', '65', '72', 'General purpose ale yeast, widely used.  Very consistent, clean finish. High attenuation and good flavor profile.', 'Most ales.', '5', 'brewblogger'),
(35, 'Safbrew Specialty Ale', 'Medium', '73', 'High', 'Ale', 'Dry', '11.5', 'Fermentis', 'T-58', '60', '72', 'Estery, somewhat spicy ale yeast. Often used for bottle and cask conditioning.', 'Complex ales. Especiall Belgians.', '5', 'brewblogger'),
(36, 'Saflager German Lager', 'High', '72', 'Medium', 'Lager', 'Dry', '11.5', 'Fermentis', 'S-189', '48', '56', 'Popular lager yeast strain.  Produces wide range of continental lagers and pilsners.  Clean finish.', 'Wide range of lagers and pilsners.', '5', 'brewblogger'),
(37, 'Saflager West European Lager', 'High', '73', 'Medium', 'Lager', 'Dry', '11.5', 'Fermentis', 'S-23', '46', '50', 'German lager yeast strain.  Performs well at low temperature. High flocculation and attenuation for a clean German finish.', 'German style lagers and pilsners.', '5', 'brewblogger'),
(38, 'London', 'Medium', '72', NULL, 'Ale', 'Dry', NULL, 'Danstar', NULL, '64', '70', 'Produces a clean, well balanced ale.  Medium attenuation preserves some beer complexity.', 'Well balanced British style ales.', '5', 'brewblogger'),
(39, 'Manchester', 'Medium', '72', NULL, 'Ale', 'Dry', NULL, 'Danstar', NULL, '64', '70', 'Old English style ale yeast that produces a complex, woody, full bodied ale at warm temperature.  Medium attenuation.  Good dry yeast for many English styles.', 'Complex, full bodied Porters, Stouts, Ales.', '5', 'brewblogger'),
(40, 'Nottingham', 'High', '75', NULL, 'Ale', 'Dry', NULL, 'Danstar', NULL, '57', '70', 'Dry strain is highly flocculant and has high attenuation.  Produces relatively few fruity esters for a dry yeast. Can be fermented at low temperature to produce lager-style beers.', 'Good neutral ale yeast.', '5', 'brewblogger'),
(41, 'Doric Ale', 'Medium', '75', NULL, 'Ale', 'Dry', NULL, 'Doric', NULL, '62', '72', 'Good reputation.  Reliable clean finish for a dry yeast.', 'Ales', '5', 'brewblogger'),
(42, 'Edme Ale Yeast', 'Medium', '75', NULL, 'Ale', 'Dry', NULL, 'Edme', NULL, '62', '72', 'Quick starting dry yeast with a good reputation. Produces some fruity ester. Highly attentive, so it will likely produce a slightly dry taste.', 'Ales requiring high attenuation.', '5', 'brewblogger'),
(43, 'Special Ale', 'Medium', '75', NULL, 'Ale', 'Dry', NULL, 'Glenbrew', NULL, '62', '72', 'Highly attentive, clean finish dry yeast.', 'All-malt beers.', '5', 'brewblogger'),
(44, 'Nottingham Yeast', 'Very High', '75', NULL, 'Ale', 'Dry', NULL, 'Lallemand', NULL, '62', '72', 'High flocculation - settles quickly.  Very good reputation as a fast starter and quick fermenter.  Clean and only slightly fruity.  Some nutty flavor in bottled version.  Relatively high attenuation.', 'Ales', '5', 'brewblogger'),
(45, 'Windsor Yeast', 'Very High', '75', NULL, 'Ale', 'Dry', NULL, 'Lallemand', NULL, '62', '72', 'Clean, well balanced finish.  Yeast produces an estery ale with a slightly fresh yeast flavor.  Not as quick as the Nottingham.  Some bannana aroma.', 'Ales', '5', 'brewblogger'),
(46, 'Lalvin', 'Medium', '75', NULL, 'Wine', 'Dry', NULL, 'Lallemand - Lalvin', 'K1V-1116', '59', '86', 'Used for white grape varieties.  Rapid starter with constant and complete fermentation. Capable of surviving difficult conditions such as low nutrient or high SO2 levels.  Has low volatile action.', 'Souvingnon Blanc, Chenin Blanc and Seyval.  ', NULL, 'brewblogger'),
(47, 'Lalvin', 'High', '75', NULL, 'Wine', 'Dry', NULL, 'Lallemand - Lalvin', '71B-1122', '59', '86', 'Rapid starter with constant and complete fermentation. Ability to metabolize high amounts (20-40%) of malic acid. Partial metabolism of malic acid helps soften the wine.  May produce significant esters, making it a good choice for concentrates. ', 'Young wines such as nouveau, blush and sugar white.', NULL, 'brewblogger'),
(48, 'Lalvin', 'High', '75', NULL, 'Wine', 'Dry', NULL, 'Lallemand - Lalvin', 'D-47', '50', '86', 'Recommended for white variety wines such as Chardonnay and Rose as well as Mead.  Low foaming, quick fermenting, forming a compact lees at the end of fermentation.  Use yeast nutrients if making mead.  Saccharomyces Cerevisiae.', 'White wines such as Chardonnay and Rose.  Also good for mead.', NULL, 'brewblogger'),
(49, 'Lalvin', 'High', '75', NULL, 'Wine', 'Dry', NULL, 'Lallemand - Lalvin', 'EC-1118', '45', '95', 'Low production of foam, volatile acid and H2S.  Ferments over a wide temperature range. High alcohol tolerance, compact lees and good flocculation.  Relatively neutral flavor and aroma.', 'All types of wine and also cider.', NULL, 'brewblogger'),
(50, 'Lalvin Bourgovin', 'Medium', '75', NULL, 'Wine', 'Dry', NULL, 'Lallemand - Lalvin', 'RC 212', '59', '86', 'RC212 recommended for red variety wines and high gravity beers.  Alcohol tolerance in the 12-14% range.  Low foaming and moderate speed fermenting.  Saccharomyces Cerevisiae.', 'Red wines.', NULL, 'brewblogger'),
(51, 'Munton Fison Ale', 'Medium', '75', NULL, 'Ale', 'Dry', NULL, 'Munton-Fison', NULL, '62', '72', 'Quick starting dry yeast.  Produces some fuity esters.  High attenuation produces clean finish.', 'High attenuation yeast good for most ales.', '5', 'brewblogger'),
(52, 'Pasteur Champagne', 'Medium', '75', NULL, 'Champagne', 'Dry', NULL, 'Red Star', NULL, '65', '73', 'High attenuation dry yeast. Good reputation.  Good for Meads and other high gravity ales.', 'Meads, Barleywines, Imperial Stouts and high gravity ales.', '5', 'brewblogger'),
(53, 'Red Star Ale', 'Medium', '77', NULL, 'Ale', 'Dry', NULL, 'Red Star', NULL, '62', '72', 'Good general purpose dry yeast. Change to a different strain in recent years has improved overall quality.', 'High attenuation ales with a dry clean taste.', '5', 'brewblogger'),
(54, 'Abbey Ale', 'Medium', '75', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP530', '66', '72', 'Used in two of six remaining Trappist breweries.  Distinctive plum and fruitiness.  Good for high gravity beers.', 'Belgian Trappist Ale, Spiced Ale, Trippel, Dubbel, Grand Cru', '5', 'brewblogger'),
(55, 'American Hefeweizen Ale', 'Low', '72', NULL, 'Wheat', 'Liquid', NULL, 'White Labs', 'WLP320', '65', '69', 'Produces a much smaller amount of clove and banana flavor than the German Hefeweizen White Labs yeast.  Some sulfur, and creates desired cloudy look.', 'Oregon style American Hefeweizen', '5', 'brewblogger'),
(56, 'American Lager', 'Medium', '77', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP840', '50', '55', 'Dry and clean with very slight apple fruitiness.  Minimal sulfur and diacetyl.', 'All American Style Lagers -- both light and dark.', '5', 'brewblogger'),
(57, 'Australian Ale Yeast', 'High', '72', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP009', '65', '70', 'White Labs entry for Australian Ales.  Produces a clean, malty finish with pleasant ester character.  Bready character.  Can ferment clean at high temperatures.', 'Australian Ales, English Ales', '5', 'brewblogger'),
(58, 'Bastogne Belgian Ale', 'Medium', '77', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP510', '66', '72', 'High gravity Trappist ale yeast.  Creates a dry beer with a slightly acidic finish.  Cleaner finish and slightly less spicy than WLP500 or WLP530.  ', 'High gravity beers, Belgian ales, Dubbels, Trippels.', '5', 'brewblogger'),
(59, 'Bavarian Weizen Yeast', 'Low', '75', NULL, 'Wheat', 'Liquid', NULL, 'White Labs', 'WLP351', '66', '70', 'Former yeast lab W51 strain.  Produces a classic German style wheat beer with moderately high, spicy, phenolic overtones reminiscent of cloves.', 'Bavarian Weizen and wheat beers.', '5', 'brewblogger'),
(60, 'Bedford British Ale', 'High', '76', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP006', '65', '70', 'High attenuation. Ferments dry with high flocculation. Distinctive ester profile.  Good for most English ale styles.', 'English style ales - bitter, pale, porter and brown ale', '5', 'brewblogger'),
(61, 'Belgian Ale', 'Medium', '75', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP550', '68', '78', 'Phenolic and spicy flavors.  Complex profile, with less fruitiness than White&apos;s Trappist Ale strain.', 'Belgian Ales, Saisons, Belgian Reds, Belgian Browns, White beers', '5', 'brewblogger'),
(62, 'Belgian Golden Ale', 'Low', '77', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP570', '68', '75', 'Combination of fruitiness and phenolic characters dominate the profile.  Some sulfur which will dissipate following fermentation.', 'Belgian Ales, Dubbel, Grand Cru, Belgian Holiday Ale', '5', 'brewblogger'),
(63, 'Belgian Saison I Ale', 'Medium', '70', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP565', '68', '75', 'Saison yeast from Wallonia.  Earthy, spicy and peppery notes.  Slightly sweet.', 'Saison Ale, Belgian Ale, Dubbel, Trippel', '5', 'brewblogger'),
(64, 'Belgian Style Ale Yeast Blend', 'Medium', '77', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP575', '68', '75', 'Blend of two Trappist ale yeasts and one Belgian ale yeast.  Creates a versatile blend to be used for Trappist and other Belgian style ales.', 'Trappist and other Belgian ales.', '5', 'brewblogger'),
(65, 'Belgian Wit Ale', 'Low', '76', NULL, 'Wheat', 'Liquid', NULL, 'White Labs', 'WLP400', '67', '74', 'Phenolic and tart.  The original yeast used to produce Wit in Belgium.', 'Belgian Wit', '5', 'brewblogger'),
(66, 'Belgian Wit II', 'Medium', '72', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP410', '67', '74', 'Less phenolic than WLP400 (Belgian Wit Ale) but more spicy.  Leaves a little more sweetness and flocculation is higher than WLP400.', 'Belgian Wit, Spiced Ale, Wheat Ales and Specialty Beers', '5', 'brewblogger'),
(67, 'British Ale', 'High', '70', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP005', '67', '74', 'This yeast has higher attenuation than the White Labs English Ale yeast strains.  Produces a malty flavored beer.', 'Excellent for all English style ales including bitters, pale ale, porters and brown ale.', '5', 'brewblogger'),
(68, 'Burton Ale', 'Medium', '72', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP023', '68', '73', 'Burton-on-trent yeast produces a complex character.  Flavors include apple, pear, and clover honey.', 'All English styles including Pale Ale, IPA, Porter, Stout and Bitters.', '5', 'brewblogger'),
(69, 'California Ale', 'High', '76', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP001', '68', '73', 'Very clean flavor, balance and stability.  Accentuates hop flavor\r\nVersitile - can be used to make any style ale.', 'American Style Ales, Ambers, Pale Ales, Brown Ale, Strong Ale', '5', 'brewblogger'),
(70, 'California Ale V', 'High', '72', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP051', '66', '70', 'Similar to White Labs California Ale Yeast, but slightly lower attenuation leaves a fuller bodied beer.', 'American style Pales, Ambers, Browns, IPAs, American Strong Ale', '5', 'brewblogger'),
(71, 'Champagne Yeast', 'Low', '75', NULL, 'Champagne', 'Liquid', NULL, 'White Labs', 'WLP715', '70', '75', 'Can tolerate alcohol up to 17%.  For Barley Wine or Meads.', 'Wine, Mead and Cider', '5', 'brewblogger'),
(72, 'Cry Havoc', 'Medium', '68', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP862', '68', '74', 'Licensed by White Labs from Charlie Papazian, author of "The Complete Joy of Home Brewing".  This yeast was used to brew many of his original recipes.  Diverse strain can ferment at ale and lager temps.', 'All American Style Lagers -- both light and dark.', '5', 'brewblogger'),
(73, 'Czech Budejovice Lager', 'Medium', '77', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP802', '50', '55', 'Dry and crisp with low diacetyl production.  From Southern Czech Republic.', 'Bohemian Style Pilsner', '5', 'brewblogger'),
(74, 'Dry English Ale', 'High', '75', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP007', '65', '70', 'Clean, Highly flocculant, and highly attentive yeast.  Similar to White labs English Ale yeast, but more attentive.  Suitable for high gravity ales.', 'Pale Ales, Amber, ESB, Brown Ales, Strong Ales', '5', 'brewblogger'),
(75, 'Dusseldorf Alt Yeast', 'Medium', '68', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP036', '65', '69', 'Traditional Alt yeast from Dusseldorf, Germany.  Produces clean, slightly sweet alt beers.  Does not accentuate hop flavor like WLP029 does.', 'Alt biers, Dusseldorf Alts, German Ales', '5', 'brewblogger'),
(76, 'East Coast Ale', 'Low', '72', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP008', '68', '73', 'White labs "Brewer Patriot" strain can be used to reproduce many of the American versions of classic beer styles.  Very clean with low esters. ', 'American Ales, Golden ales, Blonde Ale, Pale Ale and German Alt styles', '5', 'brewblogger'),
(77, 'Edinburgh Ale', 'Medium', '72', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP028', '65', '70', 'Malty strong ale yeast.  Reproduces complex, malty, flavorful schottish ales.  Hop character comes through well.', 'Strong Scottish style ales,  ESB, Irish Reds', '5', 'brewblogger'),
(78, 'English Ale', 'Very High', '66', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP002', '65', '68', 'Classic ESB strain best for English style milds, bitters, porters and English style stouts.  Leaves a clear beer with some residual sweetness.', 'English Pale Ale, ESB, India Pale Ale, Brown Ale, Porter, Sweet Stouts and Strong Ales', '5', 'brewblogger'),
(79, 'English Cider Yeast', 'Medium', '80', NULL, 'Wine', 'Liquid', NULL, 'White Labs', 'WLP775', '68', '75', 'Classic Cider yeast.  Ferments dry, but retains apple flavor.  Some sulfer produced during fermentation will fade with age.', 'Cider, Wine and High Gravity Beer', '5', 'brewblogger'),
(80, 'Essex Ale Yeast', 'Medium', '73', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP022', '66', '70', 'Flavorful British yeast with a drier finish than many ale yeasts.  Bready and fruity in character.  Well suited for top cropping (collecting).  Does not flocculate as much as WLP005 or WLP002.', 'British milds, pale ales, bitters, stouts.', '5', 'brewblogger'),
(81, 'European Ale', 'Medium', '67', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP011', '65', '70', 'Malty, Northern European ale yeast.  Low ester production, low sulfer, gives a clean profile.  Low attenuation contributes to malty taste.', 'Alt, Kolsch, malty English Ales, Fruit beers', '5', 'brewblogger'),
(82, 'German Ale II', 'Medium', '76', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP003', '65', '70', 'Strong sulfer component will reduce with aging.  Clean flavor, but with more ester production than regular German Ale Yeast.', 'Kolsch, Alt and German Pale Ales', '5', 'brewblogger'),
(83, 'German Ale/Kolsch', 'Medium', '75', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP029', '65', '69', 'Great for light beers.  Accentuates hop flavors.  Slight sulfer flavor will fade with age and leave a clean, lager like ale.', 'Kolsch, Altbiers, Pale Ales, Blonde and Honey Ales', '5', 'brewblogger'),
(84, 'German Bock Lager', 'Medium', '73', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP833', '48', '55', 'Produces beer that has balanced malt and hop character.  From Southern Bavaria.', 'Bocks, Doppelbocks, Oktoberfest, Vienna, Helles, some American Pilsners', '5', 'brewblogger'),
(85, 'German Lager', 'Medium', '76', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP830', '50', '55', 'Very malty and clean.  One of the world&apos; most popular lager yeasts.', 'German Marzen, Pilsner, Lagers, Oktoberfest beers.', '5', 'brewblogger'),
(86, 'Hefeweizen Ale', 'Low', '74', NULL, 'Wheat', 'Liquid', NULL, 'White Labs', 'WLP300', '68', '72', 'Produces the banana and clove nose traditionally associated with German Wheat beers.  Also produces desired cloudy look.', 'German style wheat beers.  Weiss, Weizen, Hefeweizen', '5', 'brewblogger'),
(87, 'Hefeweizen IV Ale', 'Low', '76', NULL, 'Wheat', 'Liquid', NULL, 'White Labs', 'WLP380', '66', '70', 'Large clove and phenolic aroma, but with minimal banana flavor.  Citrus and apricot notes.  Crisp and drinkable, with some sulfur production.', 'German style Hefeweizen', '5', 'brewblogger'),
(88, 'Irish Ale', 'Medium', '71', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP004', '65', '68', 'Excellent for Irish Stouts.  Produces slight hint of diacetyl balanced by a light fruitiness and a slightly dry crispness.', 'Irish Ales, Stouts, Porters, Browns, Reds and Pale Ale', '5', 'brewblogger'),
(89, 'Klassic Ale Yeast', 'Medium', '70', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP033', '66', '70', 'Traditional English Ale style yeast.  Produces ester character, and allows hop flavor through.  Leaves a slightly sweet malt character in ales.', 'Bitters, milds, porters stouts and scottish ale styles.', '5', 'brewblogger'),
(90, 'London Ale', 'Medium', '71', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP013', '66', '71', 'Dry, malty ale yeast.  Produces a complex, oak flavored ester character.  Hop bitterness comes through well.', 'Classic British Pale Ales, Bitters and Stouts', '5', 'brewblogger'),
(91, 'Mexican Lager', 'Medium', '74', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP940', '50', '55', 'From Mexico City - produces a clean lager beer with a crisp finish.  Good for mexican style beers.', 'Mexican style light and dark lagers.', '5', 'brewblogger'),
(92, 'Nottingham Ale Yeast', 'Medium', '77', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP039', '66', '70', 'British style of ale yeast with a very dry finish and high attenuation.  Medium to low fruit and fusel alcohol production.  Good top fermenting yeast for cropping. ', 'British ales, pale ales, ambers, porters and stouts.', '5', 'brewblogger'),
(93, 'Octoberfest/Marzen Lager', 'Medium', '69', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP820', '52', '58', 'Produces a malty, bock style beer.  Does not finish as dry or as fast as White&apos; German Lager yeast.  Longer lagering or starter recommended.', 'Marzen, Oktoberfest, European Lagers, Bocks, Munich Helles', '5', 'brewblogger'),
(94, 'Old Bavarian Lager', 'Medium', '69', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP920', '50', '55', 'Southern Germany/Bavarian lager yeast.  Finishes malty with a slight ester profile.', 'Oktoberfest, Marzen, Bock and Dark Lagers.', '5', 'brewblogger'),
(95, 'Pacific Ale', 'High', '67', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP041', '65', '68', 'Popular yeast from the Pacific Northwest.  Leaves a clear and malty profile.  More fruity than WLP002.  Suitable for many English and American styles.', 'English & American ales including milds, bitters, IPA, porters and English stouts.', '5', 'brewblogger'),
(96, 'Pilsner Lager', 'High', '74', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP800', '50', '55', 'Classic pilsner strain from Czech Republic.  Dry with a malty finish.', 'European Pilsners, Bohemian Pilsner', '5', 'brewblogger'),
(97, 'Premium Bitter Ale', 'Medium', '72', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP026', '67', '70', 'From Staffordshire England.  Mild, but complex estery flavor.  High attenuation - ferments strong and dry.  Suitable for high gravity beers.', 'All English ales including bitters, milds, ESB, Porter, Stout and Barley Wine', '5', 'brewblogger'),
(98, 'San Francisco Lager', 'High', '67', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP810', '58', '65', 'Produces "California Common" style beer.', 'California and Premium Lagers, all American Lagers', '5', 'brewblogger'),
(99, 'Southern German Lager', 'High', '72', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP838', '50', '55', 'Malty finish and balanced aroma.  Strong fermenter, slight sulfur and low diacetyl.', 'German Pilsner, Helles, Oktoberfest, Marzen, Bocks', '5', 'brewblogger'),
(100, 'Southwold Ale', 'Medium', '71', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP025', '66', '69', 'From Suffolk county.  Products complex fruity and citrus flavors.  Slight sulfer production, but this will fade with ageing.', 'British bitters and pale ales.', '5', 'brewblogger'),
(101, 'Steinberg-Geisenheim Wine', 'Low', '80', NULL, 'Wine', 'Liquid', NULL, 'White Labs', 'WLP727', '50', '90', 'German origin wine yeast.  High fruit/ester production.  Moderate fermentation characteristics and cold tolerant.', 'Riesling wines.', '5', 'brewblogger'),
(102, 'Super High Gravity Ale', 'Low', '80', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP099', '69', '74', 'Ferments up to 25% alcohol content.  Flavor may vary greatly depending on beer alcohol.  English like esters at low gravity, but will become more wine-like as alcohol exceeds 16% ABV.  Refer to White Labs web page for tips on fermenting high gravity ales.', 'Very high gravity beers and barley wine up to 25% alcohol.', '5', 'brewblogger'),
(103, 'Sweet Mead/Wine', 'Low', '75', NULL, 'Wine', 'Liquid', NULL, 'White Labs', 'WLP720', '70', '75', 'Lower attenuation than White Labs Champagne Yeast.  Leaves some residual sweetness as well as fruity flavor.  Alcohol concentration up to 15%.', 'Sweet Mead, Wine and Cider', '5', 'brewblogger'),
(104, 'Sweet Mead/Wine', 'Low', '75', NULL, 'Wine', 'Liquid', NULL, 'White Labs', 'WLP727', '70', '75', 'Lower attenuation than White Labs Champagne Yeast.  Leaves some residual sweetness as well as fruity flavor.  Alcohol concentration up to 15%.', 'Sweet Mead, Wine and Cider', '5', 'brewblogger'),
(105, 'Trappist Ale', 'Medium', '75', NULL, 'Ale', 'Liquid', NULL, 'White Labs', 'WLP500', '65', '72', 'Distinctive fruitiness and plum characteristics.  Excellent for high gravity beers.', 'Trappist Ale, Dubbel, Trippel, Belgian Ales', '5', 'brewblogger'),
(106, 'Zurich Lager', 'Medium', '75', NULL, 'Lager', 'Liquid', NULL, 'White Labs', 'WLP885', '50', '55', 'Swiss style lager yeast.  Sulfer and diacytl production is minimal.  May be used for high gravity lagers with proper care.', 'Swiss style lager, and high gravity lagers (over 11% ABV)', '5', 'brewblogger'),
(107, 'American Ale', 'Medium', '75', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1056', '60', '72', 'Soft, smooth, clean finish.  Very well balanced.  Very versitile -- works well with many ale styles.', 'American Pale Ale, Scottish Ale, Porters, Sweet Stout, Barley Wine, Alt', '5', 'brewblogger'),
(108, 'American Ale II', 'High', '74', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1272', '60', '72', 'Clean, tart, nutty flavor.  More fruity than Wyeast American Ale yeast.', 'All American Ales, Brown Ales, Barley Wine', '5', 'brewblogger'),
(109, 'American Lager', 'Medium', '75', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2035', '48', '58', 'Bold, with a complex aroma.  Good flavor depth characteristics for a wide variety of lager beers.', 'American Lagers and Pilsners', '5', 'brewblogger'),
(110, 'American Wheat Ale', 'Low', '76', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1010', '58', '74', 'Dry, Crisp, tart beer in the American Hefeweizen style.  Low flocculation aids in producing desired chill haze.', 'American Wheat, Berlin Weiss, Hefeweizen', '5', 'brewblogger'),
(111, 'Bavarian Lager', 'Medium', '75', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2206', '46', '58', 'Use by many German breweries.  Produces a full-bodied, rich, malty beer.', 'German Bocks, Vienna, Oktoberfest, Hells, Marzens, Dunkel', '5', 'brewblogger'),
(112, 'Bavarian Wheat', 'Low', '73', NULL, 'Wheat', 'Liquid', NULL, 'Wyeast', '3638', '64', '75', 'Hefeweizen yeast with complex flavor and aroma.  Bubble gum, banana flavors with apple/plub ester profile.  Malty flavor.', 'Bavarian Weizen, Hefeweizen', '5', 'brewblogger'),
(113, 'Bavarian Wheat Yeast', 'Medium', '75', NULL, 'Wheat', 'Liquid', NULL, 'Wyeast', '3056', '64', '74', 'Blend of top-fermenting ale and wheat yeasts providing a mild ester and phenolic profile.', 'Bavarian style wheat beers.', '5', 'brewblogger'),
(114, 'Belgian Abbey II', 'Medium', '75', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1762', '65', '75', 'Dry flavor with slight fruitiness. High alcohol tolerance.', 'Belgian Ales, Trappist Ales, Abbey Ales, Grand Cru', '5', 'brewblogger'),
(115, 'Belgian Ale', 'Medium', '74', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1214', '58', '68', 'Trappist style ale yeast.  Complex estery flavor.', 'Belgian Ales, Abbey Ales, Trappist Ales', '5', 'brewblogger'),
(116, 'Belgian Ardennes', 'High', '74', NULL, 'Wheat', 'Liquid', NULL, 'Wyeast', '3522', '65', '85', 'Phenolics develop at increased temperature.  Mild fruitiness and complex spicy flavor.', 'Belgian Ale', '5', 'brewblogger'),
(117, 'Belgian Lambic Blend', 'Low', '70', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '3278', '63', '75', 'Lambic culture of Saccharomyces Cerevisiar and a mixture of yeasts and bacterias.  Blend of organisms helps create lactic flavor of Belgian Lambics.', 'Belgian Lambic', '5', 'brewblogger'),
(118, 'Belgian Saison', 'Low', '78', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '3724', '70', '95', 'Classic farmhouse ale yeast.  Spicy, complex aromatics including bubble gum.  Tart and dry on the palate with mild fruitiness.  Finishes crisp and mildly acidic.  Ferment at warm temperature.  May have vigorous fermentation start.', 'Belgian Saison beer', '5', 'brewblogger'),
(119, 'Belgian Strong Ale', 'Low', '75', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1388', '65', '75', 'Dry, tart, fruity flavor.  High alcohol tolerance.', 'Belgian Ales, Scottish Strong Ale,Trappist Ales, Dubbels, Trippels', '5', 'brewblogger'),
(120, 'Belgian Wheat Yeast', 'Medium', '75', NULL, 'Wheat', 'Liquid', NULL, 'Wyeast', '3942', '64', '74', 'Estery lor phenol yeast.  Plum and apple aroma with a dry finish.', 'Belgian Wheat, Bavarian Weizen', '5', 'brewblogger'),
(121, 'Belgian Witbier', 'Medium', '74', NULL, 'Wheat', 'Liquid', NULL, 'Wyeast', '3944', '62', '75', 'Tart, slightly phenolic character.  For Wits and Grand Cru.  Tolerates high gravity beers well.', 'Belgian Wit, Grand Cru', '5', 'brewblogger'),
(122, 'Bohemian Lager', 'Medium', '71', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2124', '48', '58', 'Ferments clean and malty, with rich malty flavor for full gravity pilsners.', 'Bohemian Pilsners, Pilsners, German Helles, Bocks', '5', 'brewblogger'),
(123, 'Brettanomyces Bruxellensis', 'Medium', '67', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '3112', '60', '75', 'Wild yeast strain isolated from Brussels region of Belgium.  Adds classic sweaty horse hair flavor as well as sourness and cherry-pie like flavor.  Generally used in conjunction with S. Cerevisiae after the primary fermentation has begun.  Requires 3-6 mo', 'Belgian Lambic, Gueze Lambic, and Sour Browns', '5', 'brewblogger'),
(124, 'British Ale', 'Medium', '74', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1098', '64', '72', 'Fruity, tart, dry crisp finish.  Very well balanced.', 'All British Ales, Pales, Bitters, English Strong Ale', '5', 'brewblogger'),
(125, 'British Ale II', 'High', '74', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1335', '63', '75', 'Malty, clean, crisp finish.  Dry flavor.', 'British and Canadian Ales, English Bitters', '5', 'brewblogger'),
(126, 'British Cask Ale', 'Medium', '75', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1026', '63', '72', 'A great choice for any cask conditioned British Ale.  \r\nProduces nice malt profile with a hint of fruit. Finishes dry and slightly tart. ', 'British Ales', '5', 'brewblogger'),
(127, 'Budvar Lager', 'High', '73', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2000', '46', '56', 'Classic pilsner lager yeast.  Malty nose and subtle fruit.  Rich malt profile, but dry crisp finish.  Hop character accentuated by dry finish.', 'Bohemian Pilsner, Classic Pilsners, Dortmunder and Light Lagers', '5', 'brewblogger'),
(128, 'California Lager', 'High', '69', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2112', '58', '68', 'Suited for 19th century California style beers.  Lagers at high temperature and produces malty, clear beers.', 'California common beers, Steam Beer', '5', 'brewblogger'),
(129, 'Czech Pilsner Lager', 'Medium', '75', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2278', '48', '56', 'Classic Pilsner strain.  Creates a dry but malty finish.  Perfect for Pilsners and bocks.  Some sulfur produced, but will fade with time.', 'Bohemian and American Pilsner, Bocks, Oktoberfest, Marzen', '5', 'brewblogger'),
(130, 'Danish Lager', 'Medium', '75', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2042', '46', '56', 'Rich, Dortmund style, with a crisp, dry finish.  Soft profile accentuates hop flavor.', 'Dortmund/Export Lagers', '5', 'brewblogger'),
(131, 'European Ale', 'High', '69', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1338', '62', '72', 'Very malty flavor characteristic of Bavarian/Munich Ales.  Complex character.', 'European Ales, German Ales, Alts, Pale Ale, Brown Ale, Kolsch', '5', 'brewblogger'),
(132, 'European Lager II', 'Low', '75', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2247', '46', '56', 'Clean, dry flavor profile for aggressively hopped pilsners.  Dry finish, mild aroma, slight sulfur production.', 'Bohemian Pilsner, American Pilsner, Helles, Dunkel', '5', 'brewblogger'),
(133, 'Forbidden Fruit', 'Low', '75', NULL, 'Wheat', 'Liquid', NULL, 'Wyeast', '3463', '63', '76', 'Phenolic profile with subdued fruitiness.  Available seasonally.', 'Belgian Wit, Grand Cru', '5', 'brewblogger'),
(134, 'GF All American Ale', 'High', '74', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1272', '60', '72', 'Popular all purpose American ale style now in a Gluten Free strain.  Produces beers that are nutty, clean with a slight tart finish.  Ferment warmer to accentuate hops and add fruitiness or ferment cold for clean light citrus character.', 'American Amber, Brown, IPA, Pale ales and stouts.  Blondes and fruit beers.', '5', 'brewblogger'),
(135, 'German Ale', 'Low', '75', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1007', '55', '66', 'Crisp, dry finish with a mild flavor.', 'German Ales, Alts, Kolsch, Dry Stout', '5', 'brewblogger'),
(136, 'German Wheat', 'High', '73', NULL, 'Wheat', 'Liquid', NULL, 'Wyeast', '3333', '63', '75', 'Subtle flavor profile.  Sharp, fruity, crisp, sherry like flavor.', 'Bavarian Weizen', '5', 'brewblogger'),
(137, 'Irish Ale', 'Medium', '73', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1084', '62', '72', 'Dry diacetyl, fruity flavor characteristic of stouts.  Full bodied, dry, clean flavor.', 'Irish Dry Stouts, Porter, Scottish Ale, Brown Ale, Imperial Stout, Barley Wine', '5', 'brewblogger'),
(138, 'Kolsch Yeast', 'Low', '75', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '2565', '56', '64', 'Very malty flavor with mix of lager and ale character.  Crisp, clean finish.', 'Kolsch, European Ales', '5', 'brewblogger'),
(139, 'Lactobacillus Delbrueckii', 'Medium', '67', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '4335', '60', '95', 'Lactic acid bacteria isolated from Belgium.  Produces mild acidity and sourness found in many types of Belgian beers.  Always used in conjunction with S. Cerevisiae and wild yeasts.', 'Belgian gueze, lambic, sour brown ales, and Berliner Weisse.', '5', 'brewblogger'),
(140, 'London Ale', 'Medium', '75', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1028', '60', '72', 'Dry finish, bold, rich flavor, some fruit profile and a crisp finish.', 'English Ales, Bitters, IPAs, Brown Ale', '5', 'brewblogger'),
(141, 'London Ale III', 'High', '73', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1318', '64', '74', 'Light, fruity flavor.  Balanced flavor with hint of sweetness.', 'British Ales, Bitters', '5', 'brewblogger'),
(142, 'London ESB Ale', 'High', '69', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1968', '64', '72', 'Malty, balanced flavor.  Fruity, rich finish.  Excellent for cask conditioned ales and bitters.', 'English Bitters, IPA, Brown Ales, Mild Ales', '5', 'brewblogger'),
(143, 'Munich Lager', 'Medium', '75', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2308', '48', '56', 'Unique Pilsner strain.  Very smooth, well-rounded and full bodied.  Benefits from a diacetyl rest.', 'Pilsners, Light Lagers, Dortmond/Export, Marzen/Oktoberfest, Dunkel', '5', 'brewblogger'),
(144, 'North American Lager', 'High', '73', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2272', '48', '56', 'American and Canadian lager yeast. Malty finish makes it suitable for Marzens/Oktoberfest as well.', 'American Pilsner, California Common, Canadian Lager, Oktoberfest, Marzen', '5', 'brewblogger'),
(145, 'Northwest Ale', 'High', '69', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1332', '65', '75', 'Classic Northwest US ale yeast.  Slight fruit flavor, malty ale with good body and balance.', 'Oregon Ales, All American Ale styles', '5', 'brewblogger'),
(146, 'Pediococcus Cerevisiae', 'Medium', '67', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '4733', '60', '95', 'Lactic acid bacteria isolated from Belgium.  Creates a high level of lactic acidity over a long time.  Often used with other yeasts, and it may take several months for flavor to fully develop.', 'Gueze and other Belgian styles.', '5', 'brewblogger'),
(147, 'Pilsen Lager', 'Medium', '73', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2007', '48', '56', 'Classic American pilsner strain.  Smooth with a malty flavor.  Dry and crisp fermentation.', 'American Pilsner, Bohemian Pilsner, Light Lagers', '5', 'brewblogger'),
(148, 'Ringwood Ale', 'High', '70', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1187', '64', '74', 'European ale yeast.  Highly flocculant with complex, clear, but malty profile.  Slightly fruity ester.', 'Ringwood Ale, Brown Ales', '5', 'brewblogger'),
(149, 'Roselare Belgian Blend', 'Medium', '70', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '3763', '55', '80', 'Culture of Saccharomyces, Brettonomyces and Lactic Acid Bacteria.  Complex aromas and flavors.  May be used for primary fermentation.  Primarily for sour brown and red Belgian styles.', 'Belgian sour brown and red beers.', '5', 'brewblogger'),
(150, 'Scottish Ale', 'High', '71', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1728', '55', '75', 'High alcohol tolerance.', 'Scottish Ale, Scottish Strong Ales, Sweet Stout, Imperial Stout, Barley Wine', '5', 'brewblogger'),
(151, 'Thames Valley Ale', 'Medium', '74', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1275', '62', '72', 'Clean, complex flavor.  Low in fruit, low in esters, rich in flavor.  Hops come through well.', 'British Bitters, ESB, India Pale Ale, English Strong Ale', '5', 'brewblogger'),
(152, 'Trappist High Gravity', 'Medium', '77', NULL, 'Wheat', 'Liquid', NULL, 'Wyeast', '3787', '64', '78', 'Robust top cropping yeast.  Phenolic character and alcohol tolerance up to 12%.  Rich ester profile and malty flavor.', 'Belgian Wit, Trappist Ale, High gravity ales', '5', 'brewblogger'),
(153, 'Urquell Lager', 'Medium', '74', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2001', '48', '58', 'Pilsner Urquell yeast with mild fruit/floral aroma.  Very dry and clean on palate with full mouth feel.  Subtle malt character.  Clean and neutral finish.', 'Bohemian Pilsner', '5', 'brewblogger'),
(154, 'Weihenstephan Weizen', 'Low', '75', NULL, 'Wheat', 'Liquid', NULL, 'Wyeast', '3068', '64', '75', 'Unique Bavarian wheat yeast that produces the spicy weizen clove and banana flavor.  Best when fermented at around 68 deg F.', 'Bavarian Weizen', '5', 'brewblogger'),
(155, 'Whitbread Ale', 'High', '70', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1099', '64', '75', 'Slightly more fruity and malty than Wyeast&apos; British Ale.  Clear and highly flocculant.', 'Whitbread Ale, British Ales, Pales, Bitters', '5', 'brewblogger'),
(156, 'Wyeast Ale Blend', 'Medium', '73', NULL, 'Ale', 'Liquid', NULL, 'Wyeast', '1087', '64', '72', 'Blend of ale strains designed to provide quick starts, good flavor, balance and flocculation.  Balanced finish suitable for most American and British ale styles.', 'American and British Ale Styles.', '5', 'brewblogger'),
(157, 'Wyeast Lager Blend', 'Medium', '73', NULL, 'Lager', 'Liquid', NULL, 'Wyeast', '2178', '48', '58', 'Blend of lager strains to produce a complex but clean lager flavor profile.  Suitable for many common lager styles.', 'Classic Pilsners, Lagers, Bocks.', '5', 'brewblogger'),
(158, 'Lager', 'High', NULL, NULL, 'Lager', 'Dry', '12', 'Brewferm', NULL, '50', '59', 'A sturdy lager yeast, delivering a consistent neutral fermentation with little or no Sulphur components or other undesirable by-products.', 'Lagers', '5', 'brewblogger'),
(159, 'Blanche', 'Low', NULL, NULL, 'Ale', 'Dry', '12', 'Brewferm', NULL, '64', '75', 'Top-fermenting brewers yeast, Saccharmyces cerevisiae, selected for its formation of typical wheat beer aromas. Very suitable for production of witbier, wheatbeers, etc.', 'Wheats, witbiers.', '5', 'brewblogger'),
(160, 'Top', 'Medium', NULL, NULL, 'Ale', 'Dry', '12', 'Brewferm', NULL, '64', '77', 'Universal top-fermenting beer yeast. ', NULL, '5', 'brewblogger'),
(161, 'Canadian/Belgian', 'Medium', '75-79', 'High', 'Ale', 'Liquid', '125', 'Wyeast', '3864', '65', '80', '<p>This strain has a classic profile producing mild phenolics which increase with higher fermentation temperatures. It has a low ester profile with a dry, slightly tart finish. This strain is alcohol tolerant while producing complex &amp; well balanced be', 'Belgian Ales, High gravity ales.', '5', 'brewblogger'),
(162, 'Trappist Blend', 'Medium', '75-80', 'High', 'Ale', 'Liquid', '125', 'Wyeast', '3789', '68', '85', '<p>A unique blend of Belgian Saccharomyces and Brettanomyces for emulating Trappist style beer from the Florenville region in Belgium. Phenolics, mild fruitiness and complex spicy notes develop with increased fermentation temperatures. Subdued but classic', 'Belgian Specialty Ale, Belgian Pale Ale, Flanders Red, Oud Bruin', '5', 'brewblogger'),
(163, 'Brettanomyces Claussenii', 'Medium', '80', 'High', 'Ale', 'Liquid', '125', 'Wyeast', '5151', '60', '75', '<p>Isolated from English stock ale, this wild yeast produces a mild Brett character with overtones of tropical fruit and pineapple. It ferments best in worts with a reduced pH after primary fermentation has begun. May form a pellicle in bottles or casks. ', 'Lambics, Geuze, Fruit Lambic, Flanders Red Ale', '5', 'brewblogger'),
(164, 'Imperial Blend', 'Low', '75-80', 'High', 'Ale', 'Liquid', '125', 'Wyeast', '9093', '68', '75', '<p>This unique blend of strains is designed to ferment higher gravity worts used in producing any style of Imperial beer. The results will be a rich, malty, full bodied beer with notes of citrus &amp; fruity esters. Even with a high starting gravity your ', 'American Barleywine, Imperial IPA, Imperial Red, Imperial Brown, Imperial Porter, Russian Imperial Stout', '5', NULL),
(165, 'Old Ale Blend', 'Medium', '75-80', 'High', 'Ale', 'Liquid', '125', 'Wyeast', '9097', '68', '75', '<p>To bring you a bit of English brewing heritage we developed the &ldquo;Old Ale&rdquo; blend, including an attenuative ale strain and a Brettanomyces strain, which will ferment well in dark worts and produce beers with nice fruitiness. Complex estery ch', 'English Barleywine, English Strong Ale, Old Ale ', '5', 'brewblogger'),
(166, 'West Yorkshire Ale', 'High', '67-71', 'Medium', 'Ale', 'Liquid', '125', 'Wyeast', '1469', '64', '72', '<p>This strain produces ales with a full chewy malt flavor and character, but finishes dry, producing famously balanced beers. Expect moderate nutty and stone-fruit esters. Best used for the production of cask-conditioned bitters, ESB and mild ales. Relia', 'English Ales', '5', 'brewblogger'),
(167, 'English Special Bitter', 'High', '72-78', 'Medium', 'Ale', 'Liquid', '125', 'Wyeast', '1768', '64', '72', '<p>A great yeast for malt predominate ales. Produces light fruit and ethanol aromas along with soft, nutty flavors. Exhibits a mild malt profile with a neutral finish. Bright beers are easily achieved without any filtration. It is similar to our 1968 Lond', 'English Ales', '5', 'brewblogger'),
(168, 'French Saison', 'Low', '77-83', 'High', 'Ale', 'Liquid', '125', 'Wyeast', '3711', '65', '77', '<p>Produces saison or farmhouse style biers that are highly aromatic with clean, citrus-esters, peppery and spicy with no earthiness and low phenols. This strain enhances the use of spices and aroma hops, and is extremely attenuative but leaves an unexpec', 'Belgian and French Ales', '5', 'brewblogger'),
(169, 'Bier de Garde', 'Low', '74-79', 'High', 'Ale', 'Liquid', '125', 'Wyeast', '3725', '70', '95', '<p>Low to moderate ester production with subtle spiciness. Malty and full on the palate with initial sweetness. Finishes dry and slightly tart. Ferments well with no sluggishness.</p>\r\n<p>&nbsp;</p>', 'Belgian and French Ales', '5', 'brewblogger'),
(170, 'Farmhouse Ale', 'Low', '74-79', 'High', 'Ale', 'Liquid', '125', 'Wyeast', '3726', '70', '95', '<p>This strain produces complex esters balanced with earthy/spicy notes. Slightly tart and dry with a peppery finish. A perfect strain for farmhouse ales and saisons.</p>', 'Belgian and French Ales', '5', 'brewblogger'),
(171, 'Safale', 'Medium', '75-79', 'Medium', 'Ale', 'Dry', '11', 'Fermentis', 'US-05', '59', '75', '<p>A ready-to-pitch dry American ale yeast. Safale US-05 produces well balanced beers with low diacetyl and a very clean, crisp end palate. Sedimentation: low to medium.</p>', 'American ales', '5', 'brewblogger'),
(172, 'Octoberfest Lager', 'Medium', '73-77', 'Medium', 'Lager', 'Liquid', '125', 'Wyeast', '2633', '48', '58', 'blend of lager strains designed to produce a rich, malty, complex and full bodied Octoberfest style beer. Attenuates well while still leaving plenty of malt character and mouthfeel. Low in sulfur production. ', 'Baltic Porter, Classic Rauchbier, Oktoberfest/Marzen, Vienna Lager', '5', 'brewblogger');

-- -------------------------------

-- Add Sugar Types table:

CREATE TABLE IF NOT EXISTS `sugar_type` (
  `id` int(8) NOT NULL auto_increment,
  `sugarName` varchar(255) default NULL,
  `sugarPPG` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

--
-- Populate with default sugar types
--

INSERT INTO `sugar_type` (`id`, `sugarName`, `sugarPPG`) VALUES
(1, 'Malted Rye', '29'),
(2, 'Flaked Oats', '32'),
(3, 'Flaked Corn', '39'),
(4, 'Flaked Barley', '32'),
(5, 'Flaked Wheat', '36'),
(6, 'Flaked Rice', '38'),
(7, 'Malto-Dextrin Powder', '40'),
(8, 'Honey - Light', '46'),
(9, 'Honey - Dark', '46'),
(10, 'Sugar - Corn', '46'),
(11, 'Sugar - Cane', '46'),
(12, 'Sugar - Brown', '46'),
(13, 'Syrup - Corn', '46'),
(14, 'Syrup - Cane', '46'),
(15, 'Syrup - Molasses', '46'),
(16, 'Syrup - Maple', '46'),
(17, 'Malt Extract - Dry - Extra Light', '44'),
(18, 'Malt Extract - Dry - Light', '44'),
(19, 'Malt Extract - Dry - Amber', '44'),
(20, 'Malt Extract - Dry - Dark', '44'),
(21, 'Malt Extract - Liquid - Extra Light', '37'),
(22, 'Malt Extract - Liquid - Light', '37'),
(23, 'Malt Extract - Liquid - Amber', '37'),
(24, 'Malt Extract - Liquid - Dark', '37'),
(25, 'Malted Barley - 2 Row Lager', '37'),
(26, 'Malted Barley - 2 Row Pale Ale', '38'),
(27, 'Malted Barley - 6 Row', '35'),
(28, 'Malted Barley - Biscuit', '35'),
(29, 'Malted Barley - Vienna', '35'),
(30, 'Malted Barley - Munich', '35'),
(31, 'Malted Barley - Brown', '32'),
(32, 'Malted Barley - Dextrin', '32'),
(33, 'Malted Barley - Light Crystal (10-25 L)', '35'),
(34, 'Malted Barley - Pale Crystal (25-40 L)', '34'),
(35, 'Malted Barley - Medium Crystal (60-75 L)', '34'),
(36, 'Malted Barley - Dark Crystal (80-150 L)', '33'),
(37, 'Malted Barley - Special B', '31'),
(38, 'Malted Barley - Chocolate', '28'),
(39, 'Malted Barley - Pale Chocolate', '31'),
(40, 'Malted Barley - Roast Barley', '25'),
(41, 'Malted Barley - Black', '25'),
(42, 'Malted Wheat', '37'),
(43, 'Malted Barley - Pilsner 2 Row', '36'),
(44, 'Malted Barley - Belgian Pilsner 2 Row', '36'),
(45, 'Malted Barley - German Pilsner 2 Row', '37'),
(46, 'Malted Wheat - Belgian', '37'),
(47, 'Malted Wheat - German', '39'),
(48, 'Malted Wheat - White', '39'),
(49, 'Malted Barley - Peated', '34'),
(50, 'Malted Barley - Mild', '37'),
(51, 'Malted Barley - Toasted', '29'),
(52, 'Malted Barley - Smoked', '37'),
(53, 'Malted Barley - Melanoidin', '37'),
(54, 'Malted Barley - Amber', '35'),
(55, 'Malted Barley - CaraVienna', '34'),
(56, 'Malted Barley - CaraRed', '35'),
(57, 'Malted Barley - Honey', '37'),
(58, 'Malted Barley - Victory', '34'),
(59, 'Malted Wheat - Caramel', '35'),
(60, 'Malted Barley - CaraMunich', '33'),
(61, 'Malted Barley - CaraAroma', '35'),
(62, 'Malted Rye - Chocolate', '31'),
(63, 'Malted Wheat - Chocolate', '33'),
(64, 'Malted Barley - Wyerman Carafa I', '32'),
(65, 'Malted Barley - Wyerman Carafa II', '32'),
(66, 'Malted Barley - Wyerman Carafa III', '32'),
(67, 'Malted Oats', '37'),
(68, 'Corn Grits', '37'),
(69, 'Unmalted Barley', '28'),
(70, 'Sugar - Candi (Light)', '36'),
(71, 'Torrified Wheat', '36'),
(72, 'Sugar - Candi (Amber)', '36'),
(73, 'Sugar - Candi (Dark)', '36'),
(74, 'Sugar - Dememera', '46'),
(75, 'Sugar - Invert', '46'),
(76, 'Sugar - Turbinado', '46'),
(77, 'Syrup - Golden', '46'),
(78, 'Malted Barley - Aromatic', '34'),
(79, 'Malted Barley - Acidulated (Sauer) Malt', '38'),
(80, 'Flaked Rye', '32'),
(81, 'Rice Hulls', '38');


-- ---------------------------------------
--
-- Create Mash Profile table
--

CREATE TABLE IF NOT EXISTS `mash_profiles` (
  `id` int(8) NOT NULL auto_increment,
  `mashProfileName` varchar(255) default NULL,
  `mashGrainTemp` varchar(255) default NULL,
  `mashTunTemp` varchar(255) default NULL,
  `mashSpargeTemp` varchar(255) default NULL,
  `mashPH` varchar(255) default NULL,
  `mashEquipAdj` varchar(255) default NULL,
  `mashNotes` text,
  `mashBrewerID` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

--
-- Populate with default profiles
--

INSERT INTO `mash_profiles` (`id`, `mashProfileName`, `mashGrainTemp`, `mashTunTemp`, `mashSpargeTemp`, `mashPH`, `mashEquipAdj`, `mashNotes`, `mashBrewerID`) VALUES
(1, 'Double Decoction', '72', '72', '168', '5.4', NULL, '<p>Draw some of the mash, rest, and boil. Add back to main mash.</p>', 'brewblogger'),
(2, 'Single Decoction', '72', '72', '168', '5.4', NULL, '<p>Draw a part of the mash, let it rest for at least 10 minutes, and boil.</p>', 'brewblogger'),
(3, 'Triple Decoction', '72', '72', '168', '5.4', NULL, '<p>Authentic German methodology.</p>', 'brewblogger'),
(4, 'Triple Decoction (Noonan)', '72', '72', '168', '5.4', NULL, '<p>As described in Noonan&quot;s <span style="text-decoration: underline;">New Brewing Lager Beer</span>.</p>', 'brewblogger'),
(5, 'Double Infusion Mash, Full Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>For beers requiring a protein rest utilizing undermodified grains or adjuncts.</p>', 'brewblogger'),
(6, 'Double Infusion Mash, Light Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>For beers requiring a protein rest utilizing undermodified grains or adjuncts</p>', 'brewblogger'),
(7, 'Double Infusion Mash, Medium Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>For beers requiring a protein rest utilizing undermodified grains or adjuncts.</p>', 'brewblogger'),
(8, 'Cereal Mash and Single Infusion Mash', '72', '72', '168', '5.4', NULL, '<p>Boil cereal adjuncts to add to infusion mash.</p>', 'brewblogger'),
(9, 'Single Infusion Mash, Full Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>Mash profile for most well-modified malts.</p>', 'brewblogger'),
(11, 'Single Infusion Mash, Full Bodied Beer, No Mash Out', '72', '72', '168', '5.4', NULL, '<p>Mash profile for most well-modified malts.</p>', 'brewblogger'),
(12, 'Single Infusion Mash, Light Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>Mash profile for most well-modified malts.</p>', 'brewblogger'),
(14, 'Single Infusion Mash, Light Bodied Beer, No Mash Out', '72', '72', '168', '5.4', NULL, '<p>Mash profile for most well-modified malts.</p>', 'brewblogger'),
(15, 'Single Infusion Mash, Medium Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>Mash profile for most well-modified malts.</p>', 'brewblogger'),
(17, 'Single Infusion Mash, Medium Bodied Beer, No Mash Out', '72', '72', '168', '5.4', NULL, '<p>Mash profile for most well-modified malts.</p>', 'brewblogger'),
(18, 'Single Step Temperature Mash, Full Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>Mash with a direct heat source to maintain temperature.</p>', 'brewblogger'),
(19, 'Single Step Temperature Mash, Light Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>Mash with a direct heat source to maintain temperature.</p>', 'brewblogger'),
(20, 'Single Step Temperature Mash, Medium Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>Mash with a direct heat source to maintain temperature.</p>', 'brewblogger'),
(21, 'Two Step Temperature Mash, Full Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>Mash with a direct heat source to maintain temperature.</p>', 'brewblogger'),
(22, 'Two Temperature Mash, Light Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>Mash with a direct heat source to maintain temperature.</p>', 'brewblogger'),
(23, 'Two Temperature Mash, Medium Bodied Beer', '72', '72', '168', '5.4', NULL, '<p>Mash with a direct heat source to maintain temperature.</p>', 'brewblogger');

-- ---------------------------------------

--
-- Create Mash Step table (relational to Mash Profile table)
--

CREATE TABLE IF NOT EXISTS `mash_steps` (
  `id` int(8) NOT NULL auto_increment,
  `stepMashProfileID` int(8) default NULL,
  `stepName` varchar(255) default NULL,
  `stepNumber` int(8) default NULL,
  `stepType` varchar(255) default NULL,
  `stepTime` varchar(255) default NULL,
  `stepTemp` varchar(255) default NULL,
  `stepRampTime` varchar(255) default NULL,
  `stepEndTemp` varchar(255) default NULL,
  `stepDescription` text,
  `stepInfuseAmt` varchar(255) default NULL,
  `stepDecoctionAmt` varchar(255) default NULL,
  `stepInfusionTemp` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

--
-- Dumping data for table `mash_steps`
--

INSERT INTO `mash_steps` (`id`, `stepMashProfileID`, `stepName`, `stepNumber`, `stepType`, `stepTime`, `stepTemp`, `stepRampTime`, `stepEndTemp`, `stepDescription`, `stepInfuseAmt`, `stepDecoctionAmt`, `stepInfusionTemp`) VALUES
(1, 1, 'Protein Rest', 1, 'Infusion', '35', '122', NULL, NULL, '<p>Add water at 126&deg; F / 52&deg; C</p>', NULL, NULL, NULL),
(2, 1, 'Saccharification', 2, 'Decoction', '20', '147', NULL, NULL, '<p>Decoct 30% of mash, rest for at least 10 minutes, and boil</p>', NULL, NULL, NULL),
(3, 1, 'Saccharification', 3, 'Decoction', '20', '158', NULL, NULL, '<p>Decoct 15% of mash, rest for at least 10 minutes, and boil</p>', NULL, NULL, NULL),
(4, 1, 'Mash Out', 4, 'Infusion', '10', '168', NULL, NULL, '<p>Heat to 168&deg; F / 75&deg; C for at least 10 minutes</p>', NULL, NULL, NULL),
(5, 2, 'Protein Rest', 1, 'Infusion', '35', '122', NULL, NULL, '<p>Add water at 126 F</p>', NULL, NULL, NULL),
(6, 2, 'Saccharification', 2, 'Decoction', '45', '155', NULL, NULL, '<p>Decoct 44% of mash, rest for at least 10 minutes, and boil</p>', NULL, NULL, NULL),
(7, 2, 'Mash Out', 3, 'Infusion', '10', '168', NULL, NULL, '<p>Heat to 168&deg; F / 75&deg; C for at least 10 minutes</p>', NULL, NULL, NULL),
(8, 3, 'Acid Rest', 1, 'Infusion', '45', '95', NULL, NULL, '<p>Add water at 97&deg; F / 36&deg; C</p>', NULL, NULL, NULL),
(9, 3, 'Protein Rest', 2, 'Decoction', '60', '122', NULL, NULL, '<p>Decoct 25% of mash, rest for at least 10 minutes, and boil</p>', NULL, NULL, NULL),
(10, 3, 'Saccharification', 3, 'Decoction', '15', '148', NULL, NULL, '<p>Decoct 30% of mash, rest for at least 10 minutes, and boil</p>', NULL, NULL, NULL),
(11, 3, 'Saccharification', 4, 'Decoction', '15', '158', NULL, NULL, '<p>Decoct 30% of mash, rest for at least 10 minutes, and boil</p>', NULL, NULL, NULL),
(12, 3, 'Mash Out', 5, 'Infusion', '10', '168', NULL, NULL, '<p>Heat to 168&deg; F / 75&deg; C for at least 10 minutes</p>', NULL, NULL, NULL),
(13, 4, 'Dough-In', 1, 'Infusion', '15', '70', NULL, NULL, '<p>Add 60% of mash water at 70&deg; F / 22&deg; C</p>', NULL, NULL, NULL),
(14, 4, 'Acid Rest', 2, 'Decoction', '20', '105', NULL, NULL, '<p>Add 40% of mash water at 165&deg; F / 74&deg; C</p>', NULL, NULL, NULL),
(15, 4, 'Protein Rest', 3, 'Decoction', '10', '122', NULL, NULL, '<p>Decoct 20% of mash, rest for at least 10 minutes, and boil</p>', NULL, NULL, NULL),
(16, 4, 'Dextrinization Rest', 4, 'Decoction', '20', '155', NULL, NULL, '<p>Decoct 40% of mash, rest for at least 10 minutes, and boil</p>', NULL, NULL, NULL),
(17, 4, 'Mash Out', 5, 'Infusion', '5', '170', NULL, NULL, '<p>Decoct 25% of mash, rest for at least 10 minutes, and boil</p>', NULL, NULL, NULL),
(18, 5, 'Protein Rest', 1, 'Infusion', '30', '122', NULL, NULL, '<p>Add 40% of mash water at 132&deg; F / 55&deg; C</p>', NULL, NULL, NULL),
(19, 5, 'Saccrification', 2, 'Infusion', '30', '158', NULL, NULL, '<p>Add 35% of mash water at 207&deg; F / 97&deg; C</p>', NULL, NULL, NULL),
(20, 5, 'Mash Out', 3, 'Infusion', '10', '168', NULL, NULL, '<p>Add 25% of mash water at 199&deg; F / 92&deg; C</p>', NULL, NULL, NULL),
(21, 6, 'Protein Rest', 1, 'Infusion', '30', '122', NULL, NULL, '<p>Add 40% of mash water at 132&deg; F / 55&deg; C</p>', NULL, NULL, NULL),
(22, 6, 'Saccrification', 2, 'Infusion', '30', '150', NULL, NULL, '<p>Add 35% of mash water at 188&deg; F / 87&deg; C</p>', NULL, NULL, NULL),
(23, 6, 'Mash Out', 3, 'Infusion', '10', '168', NULL, NULL, '<p>Add 25% of mash water at 210&deg; F / 99&deg; C</p>', NULL, NULL, NULL),
(24, 7, 'Protein Rest', 1, 'Infusion', '30', '122', NULL, NULL, '<p>Add 40% of mash water at 132&deg; F / 55&deg; C</p>', NULL, NULL, NULL),
(25, 7, 'Saccrification', 2, 'Infusion', '30', '154', NULL, NULL, '<p>Add 35% of mash water at 197&deg; F / 92&deg; C</p>', NULL, NULL, NULL),
(26, 7, 'Mash Out', 3, 'Infusion', '10', '168', NULL, NULL, '<p>Add 25% of mash water at 205&deg; F / 96&deg; C</p>', NULL, NULL, NULL),
(27, 8, 'Protein Rest', 1, 'Infusion', '30', '104', NULL, NULL, '<p>Add 30% of mash water at 111&deg; F / 44&deg; C</p>', NULL, NULL, NULL),
(28, 8, 'Protein Rest', 2, 'Infusion', '45', '122', NULL, NULL, '<p>Add 10% of mash water at 181&deg; F / 83&deg; C</p>', NULL, NULL, NULL),
(29, 8, 'Saccharification', 3, 'Infusion', '60', '150', NULL, NULL, '<p>Add 25% of mash water at 200&deg; F / 93&deg; C</p>', NULL, NULL, NULL),
(30, 8, 'Mash Out', 4, 'Infusion', '10', '168', NULL, NULL, '<p>Add 35% of mash water at 208&deg; F / 98&deg; C</p>', NULL, NULL, NULL),
(31, 9, 'Mash In', 1, 'Infusion', '45', '158', NULL, NULL, '<p>Add 70% of mash water at 171&deg; F / 77&deg; C</p>', NULL, NULL, NULL),
(32, 9, 'Mash Out', 2, 'Infusion', '10', '168', NULL, NULL, '<p>Add 30% of mash water at 197&deg; F / 92&deg; C</p>', NULL, NULL, NULL),
(34, 11, 'Mash In', 1, 'Infusion', '45', '158', NULL, NULL, '<p>Add 100% of mash water at 171&deg; F / 77&deg; C</p>', NULL, NULL, NULL),
(35, 12, 'Mash In', 1, 'Infusion', '75', '150', NULL, NULL, '<p>Add 75% of mash water at 162&deg; F / 72&deg; C</p>', NULL, NULL, NULL),
(36, 12, 'Mash Out', 2, 'Infusion', '10', '168', NULL, NULL, '<p>Add 25% of mash water at 200&deg; F / 93&deg; C</p>', NULL, NULL, NULL),
(38, 14, 'Mash In', 1, 'Infusion', '75', '150', NULL, NULL, '<p>Add 100% of mash water at 162&deg; F / 72&deg; C</p>', NULL, NULL, NULL),
(39, 15, 'Mash In', 1, 'Infusion', '60', '154', NULL, NULL, '<p>Add 70% of mash water at 166&deg; F / 74&deg; C</p>', NULL, NULL, NULL),
(40, 15, 'Mash Out', 2, 'Infusion', '10', '168', NULL, NULL, '<p>Add 30% of mash water at 197&deg; F / 92&deg; C</p>', NULL, NULL, NULL),
(42, 17, 'Mash In', 1, 'Infusion', '60', '154', NULL, NULL, '<p>Add 100% of mash water at 166&deg; F / 74&deg; C</p>', NULL, NULL, NULL),
(43, 18, 'Saccharification', 1, 'Infusion', '40', '158', NULL, NULL, '<p>Add 100% of mash water at 170&deg; F / 77&deg; C</p>', NULL, NULL, NULL),
(44, 18, 'Mash Out', 2, 'Temperature', '10', '168', NULL, NULL, '<p>Heat to 168&deg; F / 75&deg; C for at least 10 minutes</p>', NULL, NULL, NULL),
(45, 19, 'Saccharification', 1, 'Infusion', '75', '150', NULL, NULL, '<p>Add 100% of mash water at 162&deg; F / 72&deg; C</p>', NULL, NULL, NULL),
(46, 19, 'Mash Out', 2, 'Temperature', '10', '168', NULL, NULL, '<p>Heat to 168&deg; F / 75&deg; C for at least 10 minutes</p>', NULL, NULL, NULL),
(47, 20, 'Saccharification', 1, 'Infusion', '60', '154', NULL, NULL, '<p>Add 100% of mash water at 166&deg; F / 74&deg; C</p>', NULL, NULL, NULL),
(48, 20, 'Mash Out', 2, 'Temperature', '10', '168', NULL, NULL, '<p>Heat to 168&deg; F / 75&deg; C for at least 10 minutes</p>', NULL, NULL, NULL),
(49, 21, 'Protein Rest', 1, 'Infusion', '30', '122', NULL, NULL, '<p>Add 100% of mash water at 128&deg; F / 53&deg; C</p>', NULL, NULL, NULL),
(50, 21, 'Saccharification', 2, 'Temperature', '30', '158', NULL, NULL, '<p>Heat to 158&deg; F / 70&deg; C over 15 minutes</p>', NULL, NULL, NULL),
(51, 21, 'Mash Out', 3, 'Temperature', '10', '168', NULL, NULL, '<p>Heat to 168&deg; F / 75&deg; C for at least 10 minutes</p>', NULL, NULL, NULL),
(52, 22, 'Protein Rest', 1, 'Infusion', '30', '122', NULL, NULL, '<p>Add 100% of mash water at 129&deg; F / 54&deg; C</p>', NULL, NULL, NULL),
(53, 22, 'Saccharification', 2, 'Temperature', '75', '150', NULL, NULL, '<p>Heat to 150&deg; F / 65.5&deg;C  over 15 minutes</p>', NULL, NULL, NULL),
(54, 22, 'Mash Out', 3, 'Temperature', '10', '168', NULL, NULL, '<p>Heat to 168&deg; F / 75&deg; C for at least 10 minutes</p>', NULL, NULL, NULL),
(55, 23, 'Protein Rest', 1, NULL, '30', '122', NULL, NULL, 'Add 100% of mash water at 129&deg; F / 54&deg; C', NULL, NULL, NULL),
(56, 23, 'Saccharification', 2, NULL, '45', '154', NULL, NULL, 'Heat to 154&deg; F / 68&deg; over 15 minutes', NULL, NULL, NULL),
(57, 23, 'Mash Out', 3, NULL, '10', '168', NULL, NULL, 'Heat to 168&deg; F / 75&deg; C for at least 10 minutes', NULL, NULL, NULL);


-- ---------------------------------------
--
-- Create Water Profiles table
--

CREATE TABLE IF NOT EXISTS `water_profiles` (
  `id` int(8) NOT NULL auto_increment,
  `waterName` varchar(255) default NULL,
  `waterAmount` varchar(255) default NULL,
  `waterCalcium` varchar(255) default NULL,
  `waterBicarbonate` varchar(255) default NULL,
  `waterSulfate` varchar(255) default NULL,
  `waterChloride` varchar(255) default NULL,
  `waterSodium` varchar(255) default NULL,
  `waterMagnesium` varchar(255) default NULL,
  `waterPH` varchar(255) default NULL,
  `waterNotes` text,
  `waterBrewerID` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;


--
-- Populate with default profiles
--

INSERT INTO `water_profiles` (`id`, `waterName`, `waterAmount`, `waterCalcium`, `waterBicarbonate`, `waterSulfate`, `waterChloride`, `waterSodium`, `waterMagnesium`, `waterPH`, `waterNotes`, `waterBrewerID`) VALUES
(1, 'Pilsen, Czech Republic', NULL, '7.0', '2.0', '5.0', '5.0', '15.0', '5.0', '8.0', '<p>Very soft water.</p>', 'brewblogger'),
(2, 'Burton Upon Trent, United Kingdom', NULL, '295.0', '300.0', '725.0', '25.0', '55.0', '45.0', '8.0', '<p>Exceptionally hard water that brings out hop flavor.</p>', 'brewblogger'),
(3, 'Munich, Germany', NULL, '75.0', '200.0', '10.0', '2.0', '10.0', '20.0', '8.0', NULL, 'brewblogger'),
(4, 'Vienna, Austria', NULL, '200.0', '120.0', '125.0', '12.0', '8.0', '60.0', '8.0', NULL, 'brewblogger'),
(5, 'Dortmund, Germany', NULL, '250.0', '550.0', '280.0', '100.0', '70.0', '25.0', '8.0', '<p>Hard water accentuates hop flavor and maltiness.</p>', 'brewblogger'),
(6, 'Distilled Water', NULL, '0.0', '0.0', '0.0', '0.0', '0.0', '0.0', '7.0', '<p>Add minerals to create a distinct, custom water profile.</p>', 'brewblogger'),
(7, 'Dublin, Ireland', NULL, '115.0', '200.0', '55.0', '19.0', '12.0', '4.0', '8.0', '<p>Notable for making dry stouts.</p>', 'brewblogger'),
(8, 'Denver, Colorado', NULL, '31.5', '104', '50.8', '23.5', '21.4', '8.5', '7.8', NULL, 'brewblogger'),
(9, 'London, England', NULL, '52', '156', '77', '60', '99', '16', '8.0', '<p>Carbonate plus high levels of sodium and chloride encourage balanced, smooth dark beers such as porter and mild.</p>', 'brewblogger');



-- ---------------------------------------
--
-- Create table to house Miscellaneous Ingredients
--

CREATE TABLE IF NOT EXISTS `misc` (
  `id` int(8) NOT NULL auto_increment,
  `miscName` varchar(255) default NULL,
  `miscType` varchar(255) default NULL,
  `miscUse` varchar(255) default NULL,
  `miscNotes` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

--
-- Populate Misc table with default data
--

INSERT INTO `misc` (`id`, `miscName`, `miscType`, `miscUse`, `miscNotes`) VALUES
(1, 'Amylase Enzyme', 'Other', 'Primary', '<p>Enhances fermentation and lowers final gravity.</p>'),
(2, 'Extract - Apricot', 'Flavor', 'Bottling', '<p>Apricot flavoring to add after fermentation is complete.</p>'),
(3, 'Baking Soda', 'Water Agent', 'Mash', '<p>Use to adjust brewing water mineral content.</p>'),
(4, 'Bitter Orange Peel', 'Spice', 'Boil', '<p>Made from curaco orange peel, used primarily in Belgian Wits and white beers.</p>'),
(5, 'Extract - Blackberry', 'Flavor', 'Bottling', '<p>Blackberry flavoring to add after fermentation is complete.</p>'),
(6, 'Burton Water Salts', 'Water Agent', 'Mash', '<p>A mixture of gypsum, potassium chloride, and epsom salt.  Used to harden water.</p>'),
(7, 'Calcium Chloride', 'Water Agent', 'Mash', 'Use to adjust brewing water mineral content. Adjusts pH of mash.'),
(8, 'Chalk', 'Water Agent', 'Mash', '<p>Use to adjust brewing water mineral content.</p>'),
(9, 'Extract - Cherry', 'Flavor', 'Bottling', '<p>Cherry flavoring to add after fermentation is complete.</p>'),
(10, 'Cinnamon Stick', 'Spice', 'Boil', '<p>Add one stick five minutes from the end of the boil. Can also be used in secondary with lesser flavor impact.</p>'),
(11, 'Clearfine', 'Spice', 'Secondary', '<p>Blend of animal collagen and polysaccarides that helps rapidly precipitate yeast and tannins.</p>'),
(12, 'Coriander Seed', 'Spice', 'Boil', '<p>Used in Belgian Wit, Whites, and Holiday ales. Adds a &ldquo;bright&rdquo; flavor profile that enhances citrus notes.</p>'),
(13, 'Extract - Cranberry', 'Flavor', 'Bottling', '<p>Cranberry flavoring to add after fermentation is complete.</p>'),
(14, 'Epsom Salt (MgSO4)', 'Water Agent', 'Mash', '<p>Use to adjust brewing water mineral content.</p>'),
(15, 'Sweet Gale', 'Spice', 'Boil', '<p>Very strong and fragrant. Use sparingly.</p>'),
(16, 'Gelatin', 'Spice', 'Secondary', '<p>Aids in settling yeast.</p>'),
(17, 'Ginger Root', 'Herb', 'Boil', '<p>Adds ginger flavor.</p>'),
(18, 'Gypsum (Calcium Sulfate)', 'Water Agent', 'Mash', '<p>Reduces PH of water.  Used to harden water.</p>'),
(19, 'Heading Liquid', 'Other', 'Bottling', 'Aids head formation and head retention.  Add before bottling.'),
(20, 'Irish Moss', 'Spice', 'Boil', '<p>Reduces protein chill haze and improves beer clarity. An ingredient in Whirlfloc.</p>'),
(21, 'Isinglass', 'Spice', 'Secondary', '<p>Aids in settling proteins, tannins, and yeast.</p>'),
(22, 'Lactic Acid', 'Water Agent', 'Mash', '<p>Used to lower the pH of the mash without altering the water profile.</p>'),
(23, 'Oak Chips', 'Flavor', 'Secondary', '<p>Used to simulate oak flavor.</p>'),
(24, 'BioFoam', 'Spice', 'Bottling', '<p>Improves foam and head retention of beer by augmenting the natural foam components in beer.</p>'),
(38, 'Mugwort', 'Herb', 'Secondary', '<p>Sage-like aroma.</p>'),
(25, '5.2 Stabilizer', 'Water Agent', 'Mash', '<p>Five Star Chemical"s mix of buffers used to adjust mash PH to 5.2.</p>'),
(26, 'Papain', 'Spice', 'Secondary', '<p>Helps reduce protein chill haze.  Add to secondary.</p>'),
(27, 'Polyclar', 'Spice', 'Secondary', '<p>Reduces chill haze.  Add to secondary.</p>'),
(28, 'Extract - Raspberry', 'Flavor', 'Bottling', '<p>Raspberry flavoring to add after fermentation is complete.</p>'),
(29, 'Salt', 'Water Agent', 'Mash', 'Use to adjust brewing water sodium levels.'),
(30, 'Sassafras', 'Spice', 'Boil', '<p>Bark of the sassafras tree root.  Adds root beer flavor.</p>'),
(31, 'Seeds of Paradise', 'Spice', 'Boil', '<p>Pepper and citrus qualities.</p>'),
(32, 'Extract - Spruce', 'Flavor', 'Bottling', '<p>Adds flavor and scent of spruce pine.</p>'),
(33, 'Spruce Tips', 'Herb', 'Bottling', '<p>Adds flavor and scent of spruce pine.</p>'),
(34, 'Star Anise', 'Spice', 'Boil', '<p>Adds black licorice flavor.</p>'),
(35, 'Sweet Orange Peel', 'Spice', 'Boil', '<p>Adds a sweet orange flavor and aroma.</p>'),
(36, 'Whirlfloc', 'Spice', 'Boil', '<p>A blend of Irish Moss and purified Kappa Carrageenan that aids in clearing of haze causing materials. Add to boil.</p>'),
(37, 'Yeast Nutrient', 'Other', 'Primary', '<p>Add before pitching yeast.</p>'),
(39, 'Cardamom', 'Spice', 'Boil', '<p>Imparts a pleasant, spicy cola-like flavor. Blends well with coriander and sweet or bitter orange peel.</p>'),
(40, 'Heather Tips', 'Herb', 'Boil', '<p>Imparts a pleasant aroma and smooth bitterness to beer. Add to boil.</p>'),
(41, 'Juniper Berries', 'Herb', 'Boil', '<p>Flavor is very compatible with rye beer and blends well with the citrus notes of ginger and orange peel as well as licorice root and coriander.</p>'),
(42, 'Licorice Root', 'Flavor', 'Boil', '<p>Adds a pleasing flavor to porters, stouts and dark ales. Also, sweetens and improves head retention. Blends well with juniper berries and mugwort.</p>'),
(43, 'Rose Hips', 'Herb', 'Secondary', '<p>Imparts a fragrant aroma and taste.</p>'),
(44, 'Vanilla Bean', 'Flavor', 'Boil', '<p>Add to the boil as a flavoring agent. Add to secondary for aroma.</p>'),
(45, 'Super Moss', 'Fining', 'Boil', '<p>Super Moss a purified form Irish Moss that mixes quickly in cold water and is more effective in removing coagulated protein matter from the boil than plain dried Irish Moss.</p>'),
(46, 'Silica Gel', 'Fining', 'Bottling', '<p>Silica gel will remove 90 to 95% of the chill haze in beer. Composed of silica (an insoluble mineral) and sterile water.</p>'),
(47, 'Extract - Apple', 'Flavor', 'Bottling', '<p>Apple flavoring to add after fermentation is complete.</p>'),
(48, 'Extract - Blueberry', 'Flavor', 'Bottling', '<p>Blueberry flavoring to add after fermentation is complete.</p>'),
(49, 'Extract - Watermellon', 'Flavor', 'Bottling', '<p>Watermellon flavoring to add after fermentation is complete.</p>'),
(50, 'Extract - Strawberry', 'Flavor', 'Bottling', '<p>Strawberry flavoring to add after fermentation is complete.</p>'),
(51, 'Extract - Peach', 'Flavor', 'Bottling', '<p>Peach flavoring to add after fermentation is complete.</p>'),
(52, 'Extract - Grape', 'Flavor', 'Bottling', '<p>Raspberry flavoring to add after fermentation is complete.</p>'),
(53, 'Extract - Banana', 'Flavor', 'Bottling', '<p>Banana flavoring to add after fermentation is complete.</p>'),
(54, 'Fermcap', 'Other', 'Boil', '<p>Food grade ingredient, dimethylpolysiloxane, reduces surface tension of the wort. Reduces foaming in boil and in fermentation. Settles out with yeast. Add 1/4 to 1/2 tsp. per 5 gallons.</p>');


-- Add Equipment Profiles table and default data --

--
-- Table structure for table `equip_profiles`
--

CREATE TABLE IF NOT EXISTS `equip_profiles` (
  `id` int(8) NOT NULL auto_increment,
  `equipProfileName` varchar(255) default NULL,
  `equipBatchSize` varchar(10) default NULL,
  `equipBoilVolume` varchar(10) default NULL,
  `equipEvapRate` varchar(10) default NULL,
  `equipLoss` varchar(10) default NULL,
  `equipNotes` text,
  `equipMashTunVolume` varchar(10) default NULL,
  `equipMashTunWeight` varchar(10) default NULL,
  `equipMashTunMaterial` varchar(255) default NULL,
  `equipMashTunSpecificHeat` varchar(10) default NULL,
  `equipMashTunDeadspace` varchar(10) default NULL,
  `equipHopUtil` varchar(10) default NULL,
  `equipTypicalEfficiency` varchar(10) default NULL,
  `equipTopUp` varchar(10) default NULL,
  `equipTopUpKettle` varchar(10) default NULL,
  `equipBrewerID` varchar(255) default NULL,
  `equipTypicalWaterRatio` varchar(10) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

--
-- Dumping data for table `equip_profiles`
--

INSERT INTO `equip_profiles` (`id`, `equipProfileName`, `equipBatchSize`, `equipBoilVolume`, `equipEvapRate`, `equipLoss`, `equipNotes`, `equipMashTunVolume`, `equipMashTunWeight`, `equipMashTunMaterial`, `equipMashTunSpecificHeat`, `equipMashTunDeadspace`, `equipHopUtil`, `equipTypicalEfficiency`, `equipTopUp`, `equipTopUpKettle`, `equipBrewerID`, `equipTypicalWaterRatio`) VALUES
(1, 'Converted Keg, 10 Gallon/38 Liter Cooler Mash Tun', '10.00', '12.00', '9.00', '1.00', '<p>Converted 15.5 gallon/59 liter keg boil kettle for full boil with a 10 gallon/38 liter cooler as a mash/lauter tun.</p>', '10.00', '9.00', 'Plastic', '0.30', '0.80', '100', '72', '0', '0', 'brewblogger', '1.33'),
(2, '2 Gallon/7.5 Liter Kettle', '5.00', '1.50', '9.00', '0.00', NULL, '2.00', '2.50', 'Stainless Steel', '0.12', '0.25', '100', '72', '3.75', '0.00', 'brewblogger', '1.33'),
(3, '3 Gallon/11 Liter Kettle', '5.00', '2.50', '9.00', '0.00', NULL, '3.00', '3.00', 'Stainless Steel', '0.12', '0.25', '100', '72', '3.00', '0.00', 'brewblogger', '1.33'),
(4, '4 Gallon/15 Liter Kettle', '5.00', '3.25', '9.00', '0.00', NULL, '4.00', '4.00', 'Stainless Steel', '0.12', '0.25', '100', '72', '2.25', '0.00', 'brewblogger', '1.33'),
(5, '5 Gallon/19 Liter Kettle', '5.00', '4.00', '9.00', '0.25', NULL, '5.00', '5.00', 'Stainless Steel', '0.12', '0.25', '100', '72', '1.75', '0.00', 'brewblogger', '1.33'),
(6, '7 Gallon/26.5 Liter Kettle and 5 Gallon/19 Liter Cooler Mash Tun', '5.00', '6.00', '9.00', '0.25', NULL, '5.00', '4.00', 'Plastic', '0.30', '0.25', '100', '72', '0.00', '0.00', 'brewblogger', '1.25'),
(7, '8 Gallon/28 Liter Kettle and 10 Gallon/38 Liter Cooler Mash Tun', '5.00', '6.50', '11.00', '0.50', NULL, '10.00', '9.00', 'Plastic', '0.30', '0.25', '100', '72', '0.00', '0.00', 'brewblogger', '1.33'),
(8, '12.5 Gallon/48 Liter Kettle and 10 Gallon/38 Liter Cooler Mash Tun', '10.00', '12.13', '10.00', '0.50', NULL, '10.00', '9.00', 'Plastic', '0.30', '0.25', '100', '72', '0.00', '0.00', 'brewblogger', '1.33'),
(9, '15 Gallon/57 Liter Brew Pot (15) and 10 Gallon/38 Liter Cooler Mash Tun', '10.00', '12.55', '9.00', '1.00', NULL, '10.00', '9.00', 'Plastic', '0.30', '0.80', '100', '72', '0.00', '0.00', 'brewblogger', '1.33');



-- *****************************UPDATES********************************

--
-- Change mistake in brewing table
--

ALTER TABLE `brewing` CHANGE `brewTeritaryTemp` `brewTertiaryTemp` VARCHAR( 10 ) NULL NULL;

-- ---------------------------------------
--
-- Add new fields to recipe table
--

ALTER TABLE `recipes` ADD `brewIBUFormula` VARCHAR( 250 ) NULL AFTER `brewBitterness`;
ALTER TABLE `recipes` ADD `brewYeastProfile` INT( 5 ) NULL;
ALTER TABLE `recipes` ADD `brewBoilTime` INT( 4 ) NULL;
ALTER TABLE `recipes` ADD `brewFeatured` CHAR( 1 ) NULL;
ALTER TABLE `recipes` ADD `brewArchive` VARCHAR( 8 ) NULL;

-- ---------------------------------------
--
-- Add new fields to brewing table
--

ALTER TABLE `brewing` 
  ADD `brewIBUFormula` VARCHAR( 250 ) NULL AFTER `brewBitterness`,  
  ADD `brewTargetOG` VARCHAR( 250 ) NULL ,
  ADD `brewTargetFG` VARCHAR( 250 ) NULL ,
  ADD `brewMashProfile` INT( 5 ) NULL ,
  ADD `brewWaterProfile` INT( 5 ) NULL ,
  ADD `brewYeastProfile` INT( 5 ) NULL ;

ALTER TABLE `brewing` ADD `brewBoilTime` INT( 4 ) NULL;
ALTER TABLE `brewing` ADD `brewEquipProfile` INT( 5 ) NULL;
ALTER TABLE `brewing` ADD `brewFeatured` CHAR( 1 ) NULL;
ALTER TABLE `brewing` ADD `brewWaterRatio` VARCHAR( 8 ) NULL;
ALTER TABLE `brewing` ADD `brewArchive` VARCHAR( 8 ) NULL;
ALTER TABLE `brewing` CHANGE `brewMashStep1Temp` `brewMashStep1Temp` VARCHAR(10); 
ALTER TABLE `brewing` CHANGE `brewMashStep1Time` `brewMashStep1Time` VARCHAR(10);
ALTER TABLE `brewing` CHANGE `brewMashStep2Temp` `brewMashStep2Temp` VARCHAR(10); 
ALTER TABLE `brewing` CHANGE `brewMashStep2Time` `brewMashStep2Time` VARCHAR(10);
ALTER TABLE `brewing` CHANGE `brewMashStep3Temp` `brewMashStep3Temp` VARCHAR(10); 
ALTER TABLE `brewing` CHANGE `brewMashStep3Time` `brewMashStep3Time` VARCHAR(10);
ALTER TABLE `brewing` CHANGE `brewMashStep4Temp` `brewMashStep4Temp` VARCHAR(10); 
ALTER TABLE `brewing` CHANGE `brewMashStep4Time` `brewMashStep4Time` VARCHAR(10);
ALTER TABLE `brewing` CHANGE `brewMashStep5Temp` `brewMashStep5Temp` VARCHAR(10); 
ALTER TABLE `brewing` CHANGE `brewMashStep5Time` `brewMashStep5Time` VARCHAR(10);

  
-- ---------------------------------------
--
-- Add information to adjuncts table for BeerXML compliance
--

ALTER TABLE `adjuncts` 
ADD `adjunctType` VARCHAR( 255 ) NULL AFTER `adjunctName` ,
ADD `adjunctOrigin` VARCHAR( 255 ) NULL AFTER `adjunctType` ,
ADD `adjunctSupplier` VARCHAR( 255 ) NULL AFTER `adjunctOrigin` ;
 
--
-- Add more adjunct rows
--

INSERT INTO `adjuncts` (`id`, `adjunctName`, `adjunctType`, `adjunctOrigin`, `adjunctSupplier`, `adjunctLovibond`, `adjunctInfo`, `adjunctCategory`, `adjunctYield`) VALUES
(NULL, 'Raw Barley', NULL, NULL, NULL, '2.0', 'Raw, unmalted barley can be used to add body to your beer. Use in homebrew requires very fine milling combined with a decoction or multi-stage mash. Performs best when used in small quantities with well modified grains.', NULL, '83'),
(NULL, 'Torrified Wheat', NULL, NULL, NULL, '1.7', 'Raw wheat that has been "popped" open to open kernels. Used in place of raw barley for faster conversion and higher yields. High in haze producing protein. ', NULL, '71'),
(NULL, 'Brown Sugar, Dark', NULL, NULL, NULL, '50', 'Imparts a rich sweet flavor. Used in Scottish ales, holiday ales and some old ales.', NULL, '12'),
(NULL, 'Brown Sugar, Light', NULL, NULL, NULL, '8', 'Used in Scottish ales, holiday ales and some old ales.', NULL, '12'),
(NULL, 'Candi Sugar, Amber', NULL, NULL, NULL, '75', 'Crystalized Candi Sugar (Sucrose) used in many Belgian Tripels, Dubbels, and holiday ales. Adds head retention and sweet aroma to beer. Adds color.', NULL, '72'),
(NULL, 'Candi Sugar, Clear', NULL, NULL, NULL, '0.5', 'Crystalized Candi Sugar (Sucrose) used in many Belgian Tripels, Dubbels, and holiday ales. Adds head retention and sweet aroma to beer.', NULL, '70'),
(NULL, 'Candi Sugar, Dark', NULL, NULL, NULL, '275', 'Crystalized Candi Sugar (Sucrose) used in many Belgian Tripels, Dubbels, and holiday ales. Adds head retention and sweet aroma to beer. Adds color.', NULL, '73'),
(NULL, 'Beet Sugar', NULL, NULL, NULL, '0', 'Common household baking sugar. Lightens flavor and body of beer. Can contribute a cider-like flavor to the beer if not cold-fermented or used in large quantities.', NULL, '11'),
(NULL, 'Dextrose (Corn Sugar)', NULL, NULL, NULL, '0', 'Increases gravity without adding much body. Commonly used for priming in bottles.', NULL, '10'),
(NULL, 'Corn Syrup', NULL, NULL, NULL, '1', 'Syrup derived from corn with many of the same properties as corn sugar. May be used to enhance gravity without adding much body or flavor. Limit percentage in batch to avoid wine or cider flavors. ', NULL, '13'),
(NULL, 'Dememera Sugar', NULL, NULL, NULL, '2', 'Dark, unrefined brown sugar that contains molasses and other dark impurities.', NULL, '74'),
(NULL, 'Lactose (Milk Sugar)', NULL, NULL, NULL, '0', 'Not fully fermentable, so it adds lasting sweetness. Lactose can be added to lend sweetness to Sweet Stouts and Porters.', NULL, '84'),
(NULL, 'Molasses', NULL, NULL, NULL, '80', 'mparts a strong, sweet flavor. Used primarily in stouts and porters. ', NULL, '15'),
(NULL, 'Turinado Sugar', NULL, NULL, NULL, '10', 'Light, raw brown sugar. May be used in British pale ales or high gravity Belgian ales. Limit percentage used to avoid undesirable flavors. Similar to Demerara sugar.', NULL, '76');

-- ---------------------------------------
--
-- Add information to malt table for BeerXML compliance
--

ALTER TABLE `malt`
   
  ADD `maltOrigin` VARCHAR( 250 ) NULL ,
  ADD `maltSupplier` VARCHAR( 250 ) NULL, 
  ADD `maltType` VARCHAR( 250 ) NULL ;

INSERT INTO `malt` (`id`, `maltName`, `maltLovibond`, `maltInfo`, `maltCategory`, `maltYield`, `maltOrigin`, `maltSupplier`, `maltType`)
VALUES (NULL , 'British Pale Chocolate', '200', 'Used in darker beers such as porters and stouts to add color and richness. May be used in preference to chocolate malt when less color from the grains is desired and a grain with milder flavors is needed.', '3', '39', 'United Kingdom', 'Thomas Fawcett and Sons', 'Grain');

-- ---------------------------------------
--
-- Add information to extract table for BeerXML compliance
--

ALTER TABLE `extract`
   
  ADD `extractOrigin` VARCHAR( 250 ) NULL ,
  ADD `extractSupplier` VARCHAR( 250 ) NULL,
  ADD `extractType` VARCHAR( 250 ) NULL ;
 
-- ---------------------------------------
--
-- Change all table id lines to be INT
--

  ALTER TABLE `adjuncts` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `awards` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `brewerlinks` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `brewing` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `extract` CHANGE `id` `id` INT( 8 ) NOT NULL   AUTO_INCREMENT;
  ALTER TABLE `hops` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `malt` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `news` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `recipes` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `reviews` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `styles` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `upcoming` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;
  ALTER TABLE `users` CHANGE `id` `id` INT( 8 ) NOT NULL AUTO_INCREMENT;


-- ---------------------------------------
--
-- Add user defined menu fields in Preferences table
--

ALTER TABLE `preferences` 
  ADD `measWaterGrainRatio` VARCHAR( 255 ) NULL AFTER `measWeight2`,
  ADD `menuHome` VARCHAR( 255 ) NULL ,
  ADD `menuBrewBlogs` VARCHAR( 255 ) NULL ,
  ADD `menuRecipes` VARCHAR( 255 ) NULL ,
  ADD `menuAwards` VARCHAR( 255 ) NULL ,
  ADD `menuAbout` VARCHAR( 255 ) NULL ,
  ADD `menuReference` VARCHAR( 255 ) NULL ,
  ADD `menuCalculators` VARCHAR( 255 ) NULL ,
  ADD `menuCalendar` VARCHAR( 255 ) NULL ,
  ADD `menuLogin` VARCHAR( 255 ) NULL ,
  ADD `menuLogout` VARCHAR ( 255 ) NULL,
  ADD `menuMembers` VARCHAR( 255 ) NULL ,
  ADD `mashDisplayMethod` CHAR( 1 ) NULL ,
  ADD `waterDisplayMethod` CHAR( 1 ) NULL ;


--
-- Populate new fields with data
--

UPDATE `preferences` SET 
  `measWaterGrainRatio`= "qt/lb",
  `menuHome` = 'Home',
  `menuBrewBlogs` = 'BrewBlogs',
  `menuRecipes` = 'Recipes',
  `menuAwards` = 'Awards-Competitions',
  `menuAbout` = 'About',
  `menuReference` = 'Reference',
  `menuCalculators` = 'Calculators',
  `menuCalendar` = 'Calendar',
  `menuLogin` = 'Login',
  `menuLogout` = 'Log Out',
  `menuMembers` = 'Members',
  `mashDisplayMethod` = '1',
  `waterDisplayMethod` = '1' WHERE `preferences`.`id` =1 LIMIT 1 ;


-- ---------------------------------------

--
-- Add field to reviews table
--

ALTER TABLE `reviews` ADD `brewScorerLevel` VARCHAR( 255 ) NULL;

-- ---------------------------------------
--
-- Update malt to use relational sugar_types table information

UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '33' WHERE `id` = 1 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '33' WHERE `id` = 2 LIMIT 1; 
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '34' WHERE `id` = 3 LIMIT 1; 
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '34' WHERE `id` = 4 LIMIT 1; 
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '35' WHERE `id` = 5 LIMIT 1; 
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '36' WHERE `id` = 6 LIMIT 1; 
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '36' WHERE `id` = 7 LIMIT 1; 
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '36' WHERE `id` = 8 LIMIT 1; 
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '41' WHERE `id` = 9 LIMIT 1; 
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '40' WHERE `id` = 10 LIMIT 1; 
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '40' WHERE `id` = 11 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '38' WHERE `id` = 12 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '32' WHERE `id` = 13 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '28' WHERE `id` = 14 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '30' WHERE `id` = 15 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '31' WHERE `id` = 16 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '29' WHERE `id` = 17 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '58' WHERE `id` = 19 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '27' WHERE `id` = 20 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '42' WHERE `id` = 21 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '51' WHERE `id` = 22 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '78' WHERE `id` = 23 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '28' WHERE `id` = 24 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '55' WHERE `id` = 26 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '26' WHERE `id` = 27 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '44' WHERE `id` = 28 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '37' WHERE `id` = 29 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '54' WHERE `id` = 30 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '31' WHERE `id` = 31 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '26' WHERE `id` = 32 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '26' WHERE `id` = 33 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '35' WHERE `id` = 34 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '36' WHERE `id` = 35 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '50' WHERE `id` = 36 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '32' WHERE `id` = 37 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '38' WHERE `id` = 38 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '41' WHERE `id` = 39 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '49' WHERE `id` = 40 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '40' WHERE `id` = 41 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '51' WHERE `id` = 42 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '42' WHERE `id` = 43 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '71' WHERE `id` = 44 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '79' WHERE `id` = 45 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '64' WHERE `id` = 46 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '65' WHERE `id` = 47 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '66' WHERE `id` = 48 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '63' WHERE `id` = 49 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '62' WHERE `id` = 50 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '33' WHERE `id` = 51 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '60' WHERE `id` = 52 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '60' WHERE `id` = 53 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '60' WHERE `id` = 54 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '30' WHERE `id` = 55 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '30' WHERE `id` = 56 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '53' WHERE `id` = 57 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '52' WHERE `id` = 58 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '1' WHERE `id` = 59 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '47' WHERE `id` = 60 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '47' WHERE `id` = 61 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '59' WHERE `id` = 62 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '34' WHERE `id` = 63 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '57' WHERE `id` = 64 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '26' WHERE `id` = 65 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '4' WHERE `id` = 66 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '3' WHERE `id` = 67 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '2' WHERE `id` = 68 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '1' WHERE `id` = 69 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '80' WHERE `id` = 70 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '68' WHERE `id` = 71 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '29' WHERE `id` = 72 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '49' WHERE `id` = 73 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '2' WHERE `id` = 74 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '6' WHERE `id` = 75 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '81' WHERE `id` = 76 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '64' WHERE `id` = 77 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '65' WHERE `id` = 78 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '66' WHERE `id` = 79 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '63' WHERE `id` = 80 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '63' WHERE `id` = 81 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltYield` = '30' WHERE `id` = 82 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltCategory` = '1', `maltYield` = '43' WHERE `malt`.`id` = 83 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltCategory` = '1', `maltYield` = '43' WHERE `malt`.`id` = 84 LIMIT 1;
UPDATE `malt` SET `maltType` = 'Grain', `maltCategory` = '2', `maltYield` = '1' WHERE `malt`.`id` = 85 LIMIT 1;


-- ---------------------------------------
--
-- Update adjuncts to use relational sugar_types table information

DELETE FROM `adjuncts` WHERE `adjuncts`.`adjunctName` = 'Brown Sugar (Light)' LIMIT 1;
DELETE FROM `adjuncts` WHERE `adjuncts`.`adjunctName` = 'Brown Sugar (Dark)' LIMIT 1;
DELETE FROM `adjuncts` WHERE `adjuncts`.`adjunctName` = 'Corn Sugar (Dextrose)' LIMIT 1;

UPDATE `adjuncts` SET `adjunctType` = 'Grain', `adjunctYield` = '4' WHERE `id` = 1 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Grain', `adjunctName` = 'Flaked Corn', `adjunctYield` = '3' WHERE `id` = 2 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Grain', `adjunctYield` = '2' WHERE `id` = 3 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Grain', `adjunctYield` = '80' WHERE `id` = 4 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Grain', `adjunctYield` = '5' WHERE `id` = 5 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Grain', `adjunctYield` = '68' WHERE `id` = 6 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Grain', `adjunctYield` = '2' WHERE `id` = 7 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Grain', `adjunctYield` = '6' WHERE `id` = 8 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Grain', `adjunctYield` = '81' WHERE `id` = 9 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Sugar', adjunctLovibond = '1', `adjunctName` = 'Honey', `adjunctYield` = '8' WHERE `id` = 10 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Sugar', `adjunctCategory` = '14' WHERE `id` =11 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Sugar', `adjunctCategory` = '14', `adjunctYield` = '15' WHERE `id` =14 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Sugar', `adjunctCategory` = '14', `adjunctYield` = '16' WHERE `id` =16 LIMIT 1 ;
UPDATE `adjuncts` SET `adjunctType` = 'Sugar', `adjunctCategory` = '14', `adjunctYield` = '16' WHERE `id` =17 LIMIT 1 ;



-- ---------------------------------------
--
-- Update extracts to use relational sugar_types table information

UPDATE `extract` SET `extractYield` = '17', `extractType` = 'Dry Extract' WHERE `extract`.`id` =1 LIMIT 1 ;
UPDATE `extract` SET `extractYield` = '18', `extractType` = 'Dry Extract' WHERE `extract`.`id` =2 LIMIT 1 ;
UPDATE `extract` SET `extractYield` = '19', `extractType` = 'Dry Extract' WHERE `extract`.`id` =3 LIMIT 1 ;
UPDATE `extract` SET `extractYield` = '20', `extractType` = 'Dry Extract' WHERE `extract`.`id` =4 LIMIT 1 ;
UPDATE `extract` SET `extractYield` = '21', `extractType` = 'Extract' WHERE `extract`.`id` =5 LIMIT 1 ;
UPDATE `extract` SET `extractYield` = '22', `extractType` = 'Extract' WHERE `extract`.`id` =6 LIMIT 1 ;
UPDATE `extract` SET `extractYield` = '23', `extractType` = 'Extract' WHERE `extract`.`id` =7 LIMIT 1 ;
UPDATE `extract` SET `extractYield` = '24', `extractType` = 'Extract' WHERE `extract`.`id` =8 LIMIT 1 ;
UPDATE `extract` SET `extractCategory` = '1', `extractYield` = '23', `extractType` = 'Extract' WHERE `extract`.`id` =9 LIMIT 1 ;
UPDATE `extract` SET `extractCategory` = '1', `extractYield` = '21', `extractType` = 'Extract' WHERE `extract`.`id` =10 LIMIT 1 ;
UPDATE `extract` SET `extractCategory` = '1', `extractYield` = '22', `extractType` = 'Extract' WHERE `extract`.`id` =11 LIMIT 1 ;

-- Update Users table to house user-level preferences -- 


ALTER TABLE `users` ADD `defaultBoilTime` INT( 4 ) NULL;
ALTER TABLE `users` ADD `defaultEquipProfile` INT( 8 ) NULL;
ALTER TABLE `users` ADD `defaultMashProfile` INT( 8 ) NULL;
ALTER TABLE `users` ADD `defaultWaterProfile` INT( 8 ) NULL;
ALTER TABLE `users` ADD `defaultBitternessFormula` VARCHAR( 255 ) NULL;
ALTER TABLE `users` ADD `defaultMethod` VARCHAR( 255 ) NULL;
ALTER TABLE `users` ADD `defaultBatchSize` INT( 8 ) NULL;
ALTER TABLE `users` ADD `defaultWaterRatio` VARCHAR( 8 ) NULL;

-- Add two new Themes --

INSERT INTO `brewingcss` (`id`, `theme`, `themeName`, `themeColor1`, `themeColor2`) VALUES
(NULL, 'midas.css', 'Midas', '#E5D4BD', '#baa076'),
(NULL, 'mobile.css', 'Mobile', '#eeeeee', '#dadada'),
(NULL, 'haze.css', 'Haze', '#EFE5D1', '#e8dabe');